commit 4e0031258b9098c5dc02b34e5eb570e54307e6b5
Author: John Ehresman <jpe@wingware.com>
Date:   Tue Apr 22 08:05:08 2014 -0700

    Version bump
    
    Change-Id: I4da6558dfa2dd2aaae6343d2363b7fcfc7786f45
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit e2897e156f697ce4d89e8df50f7083fff7909372
Author: John Cummings <jcummings2@users.sf.net>
Date:   Thu Apr 17 13:43:19 2014 -0500

    Remove rejection lines that cause the sample_list test to fail
    
    These functions (except createComplexList) are are needed by the test.
    Prior to 5b39f7fd9e21, the rejections were not being recognized; removing
    them returns the wrappings to their previous state and allows the test to
    pass again.
    
    Change-Id: I3efb08383b2d59f9917a4e4a0200e0516db9c83e
    Reviewed-by: Matthew Woehlke <mw_triad@users.sourceforge.net>
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit bca7c117e141ed78b4666c7a8b868a180bd18173
Author: John Ehresman <jpe@wingware.com>
Date:   Wed Apr 16 12:08:20 2014 -0700

    Remove protected from samblebinding test
    
    The protected sections triggered a generation bug when avoiding
    the protected hack
    
    Change-Id: I6346cdb74a25f1ddf49263d9f74670a3b105b07a
    Reviewed-by: Matthew Woehlke <mw_triad@users.sourceforge.net>
    Reviewed-by: Roman Lacko <backup.rlacko@gmail.com>

commit ebf3ba51187b6bb54cf819e5a0101c2f75e11de1
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Wed Apr 16 10:02:21 2014 -0400

    Add parsing of 'noexcept' keyword
    
    Teach Shiboken to parse the 'noexcept' keyword. This doesn't add any
    features (and we only support unconditional 'noexcept' for now), but
    addresses an internal error that causes shiboken to SEGV trying to parse
    modern versions of boost::intrusive_ptr. A test case to replicate the
    crash (without the other changes) is also added.
    
    Change-Id: I4713593dfd189c02ef4a2d7447d785b6d378019c
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 35d006a7bf9b33807c1df93f5f9439ff83cd32c0
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Sun Nov 10 17:09:31 2013 -0500

    Fix function rejections (i.e. support overloads)
    
    Add an additional check to AbstractMetaBuilder::traverseFunction to also
    perform a quick-and-dirty construction of the function signature, and to
    check that against the rejections. Add a unit test for matching full
    signatures.
    
    Before, we were only testing the function name; as a result, a rejection
    like 'foo()' would never match (because the name does not have ()'s).
    This is especially helpful for rejecting specific overloads of functions
    while allowing others to be wrapped normally. (The unit test shows a
    not-so-far-fetched example why one might want to do this.)
    
    The signature building logic isn't very sophisticated and likely
    requires a very exacting match to the signature as it appears in the
    wrapped sources, but that's likely not a serious issue, and at any rate
    this is much better than not being able to match overloads at all.
    
    Change-Id: Ic686377477aacf54f79c7bd2013e9aea8521a4ea
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 5b39f7fd9e216dd16e32ee5950d8d3d781cf1d17
Author: Hugo Osvaldo Barrera <hugo@barrera.io>
Date:   Wed Mar 26 13:02:22 2014 -0300

    Fix building with python 3.3 and 3.4.
    
    FindPython3Libs.cmake lists hardcoded versions of python3 to look for,
    which include up to python 3.2.
    
    Added python 3.3 and 3.4 to this list so that building on these versions
    works.
    
    A better solution would be ideal in future, so as to avoid having to
    add python versions to this list as time passes. However, this fixes
    the issue for now.
    
    Change-Id: I9c113f70164c30dc3a94a5c946facbc38901f68e
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit cb0671914f0ea3c88b59200a56648478faf5fc44
Author: Raphael Kubo da Costa <rakuco@FreeBSD.org>
Date:   Wed Dec 25 20:12:24 2013 +0200

    doc: Stop requiring sphinx.ext.refcounting.
    
    Sphinx 1.2 made a backwards-incompatible change and removed its
    `refcounting' extension module because it "is very specific to CPython
    and has no place in the main distribution".
    
    Fix the build with Sphinx 1.2+ by not requiring it in conf.py.in; we were
    not using it before anyway (the `refcount_file' variable was not set) and it
    was likely added by default when the configuration file was generated.
    
    Change-Id: I6c775fb4c1c2daae25aade68079efc2e77225a0f
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit a527dd51e69b80c2d5be3a1d8cd60ab2b2616fa5
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Tue Dec 31 14:30:53 2013 -0500

    Fix for containers with 'const' values
    
    Fix omission of 'const' specifier when generating binding code for
    containers whose value type is 'const', which would lead to binding code
    that does not compile due to 'const' mismatch. Includes test case.
    
    Change-Id: Iff99a16ee071bb255f78e86e2456e5206cc00cfb
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit faa44f349170667fb918fc25e51cc5f392bfc6ad
Author: Brian Jensen <Jensen.J.Brian@gmail.com>
Date:   Sat Oct 26 21:48:48 2013 +0200

    Fix compilation issue on OS X 10.9
    
    Starting with OS X 10.9 the system toolchain defaults to libc++.
    This is a problem with the current sparse hash config as it defaults
    to using  c++11 functionality under the std::tr1 namespace instead
    of std, which fails for libc++ since it does not implement the tr1
    namespace. This change allows libc++ based systems to use the correct
    namespace.
    
    Change-Id: Ia8dd49fb5fad2915f41e44240e45a7af9d6453a8
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 0490b3000a29bcf72d83349dcb7a077f6a6c6c44
Author: John Ehresman <jpe@wingware.com>
Date:   Mon Nov 11 19:10:06 2013 -0500

    Only use fields in PyTypeObject when defining types
    
    Allocate and use separate structures for as_* fields in the PyTypeObject
    rather than using fields in the PyHeapTypeObject.  This is a step
    away from using the PyHeapTypeObject, which is unnecessary and will
    make supporting stackless python easier.
    
    Change-Id: I6e5c514ab6db5b8bee9bee3107b97d6fbd582641
    Reviewed-by: Christian Tismer <tismer@stackless.com>
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 2f8abc0c22539e96b1158e283f4da97acfbe98f8
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Tue Oct 15 11:38:02 2013 -0400

    Fix buffer overrun processing macro definitions
    
    Fix potential buffer overrun (__first iterator becomes > __last and
    starts processing garbage) when parsing macro definitions that would
    occur if a macro definition ends in a comment. This would cause the
    macro definition to contain incorrect content or even outright garbage
    (i.e. random memory) if the trailing comment is at the end of the file,
    as in boost/type_traits/detail/type_trait_def.hpp. In this worst case,
    the macro expansion could contain a NUL byte which would cause parsing
    to prematurely halt at the point of expansion.
    
    Change-Id: I94ded39d9a20dc9510d827bc18adb2dc1bad17f0
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 1bc255c4b5f8ac2d71d0aa91b3a063c3f8978a8f
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Fri Oct 4 16:40:38 2013 -0400

    Fix 'special' include handling
    
    Fix handling of includes like '#include BOOST_USER_CONFIG'. This was
    failing due to an obvious logic error in how the preprocessor tests if
    the expanded symbol looks like an include file location.
    
    Change-Id: Ia085e5c081078d328d6fc84ff2a99681913a30b9
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit a4bfd1948ba4e8f20d7bcd116fb756fc3559e078
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Wed Oct 2 16:40:47 2013 -0400

    Don't warn when inheriting from container
    
    Change AbstractMetaBuilder::setupInheritance to not warn about classes
    that inherit from known container types, even if the container type does
    not have a corresponding wrapper class (which in many or most cases it
    won't). Remove now-unneeded suppression for the same in 'sample'.
    
    Change-Id: I0a45636791eba36cf070ea082eb6ead6cb5947ef
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit cdd1bdc5f0f56cbb2a0a1172d4cd947417fed163
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Wed Oct 2 16:40:25 2013 -0400

    Fix finding container base classes
    
    Move logic to find template classes to its own helper method, and newly
    use the helper in AbstractMetaBuilder::getBaseClasses. This fixes the
    latter not finding template base classes, which fixes class topological
    sorting in some cases.
    
    Unfortunately I have not figured out a reliable unit test for this,
    although printing a debug warning when finding the parent fails (or when
    a template lookup succeeds) is able to verify that this change is doing
    something useful.
    
    Change-Id: I2a5e0df4035393288b6f69ebc41dc0e64866a182
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit e95be43deb8ace9da4ea67022b4d4a5648d35f01
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Wed Oct 2 16:25:35 2013 -0400

    Revert "Remove useless code."
    
    This reverts commit 02c6e63ac8dbb8acde3bc19abd36fff0db65fd11. Apparently
    types derived from containers can have a container base class without
    the container class having a metaclass.
    
    This fixes the sample_strlist unit test crashing. (There may be another
    bug here, in Shiboken's don't-write-generated-source-if-not-changed
    logic, as the failure doesn't seem to reliably appear/disappear after an
    incremental build.)
    
    Change-Id: I5f60bfb784dca02d9766a32e7b7b8a8a529df5af
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 1aeeae8382cc9ed5d8c03dd168c8566b6594d399
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Thu Sep 26 15:54:48 2013 -0400

    Refactor and improve added function resolving
    
    Add a public function to create an AddedFunction::TypeInfo from a
    signature string. Change translateType to use this to do full recursive
    resolution on template arguments. Create a new helper function to do
    more intelligent parsing of template type name signatures, and use this
    in translateType.
    
    Taken together, this means that we now recognize both multiple arguments
    to template types of added functions, as well as template arguments that
    are themselves template types. We couldn't do this before due to the use
    of a regular expression to attempt to separate the template type name
    from its arguments. The test cases are updated to test these new
    features.
    
    Note, however, that it is now a fatal error if the template argument
    type cannot be determined. (Before we would just drop it and treat the
    type as a non-container.) However, 1) this should not be happening in a
    well formed type system, and 2) it's questionable if things wouldn't
    have fallen apart anyway from treating the presumed container as
    something else.
    
    Change-Id: I23c3a7f7e311e046642d951d6ad2236571fda6b8
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 02c6e63ac8dbb8acde3bc19abd36fff0db65fd11
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Tue Aug 27 19:30:53 2013 -0400

    Remove useless code.
    
    Remove code to set the type entry base container type in
    AbstractMetaBuilder::setupInheritance outside of setting up the
    container meta class. We do it anyway when the meta class is found, and
    fail if we can't find the meta class, so having just the type entry set
    is not really useful. (And this will allow us to simplify the code going
    forward.)
    
    Change-Id: I90389efc574d516703df0d6a26ba130769adfea7
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 22aa9ced0d6b167ee835b4b184511c5df3f79591
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Wed Aug 28 12:18:22 2013 -0400

    Write inititializations in topological order
    
    Add methods to various places in the hierarchy so that the generator can
    access the topologically ordered class list (in addition to the
    unordered class list). Modify CppGenerator::finishGeneration to use
    this.
    
    This fixes a failure to correctly create Python wrapper classes due to
    subclass wrappers being initialized before their base class (with the
    result that the looked-up type object for the base class is null,
    causing the derived class to be created without referencing the base).
    Also change one of the test cases to test that we correctly wrap a
    typedef of a template class derived from a non-template base (which was
    failing before this change for the aforementioned reason).
    
    Change-Id: Ib4dc2626a41cb7bb905ff4a302c2613ea12d026b
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 8287ee801965f2fbeea573e1eb652cc851920f86
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Tue Aug 13 16:48:02 2013 -0400

    Work around MSVC's deficient <cmath>
    
    Change libsample/transform.cpp to use the MSVC-specific _finite on
    Windows, rather than std::isfinite, which MSVC does not implement.
    
    Change-Id: If7b33e17bcb7c2e4432d670d44b559205f88796d
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit eb04a968b60da4e799ca89f2936a75ff63d915b1
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Tue Aug 13 16:09:22 2013 -0400

    Remove unnecessary line feed
    
    Remove explicit '\n' from echo command in 'dist' target. This isn't
    needed (echo should output one regardless, so it only creates an
    additional empty line), and it is being parsed by CMake, which results
    in generating a build.ninja on at least Windows that cannot be parsed
    due to an unterminated string.
    
    Change-Id: I5d8aba12c71f5a9c29a07108c50499081ba7203a
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 1f8db21ef969d16702eb962d2311ee3e50f39ce1
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Tue Aug 6 16:22:18 2013 -0400

    Fix description of sample/transform unit test
    
    Change-Id: I942d2f450c8c57bed779925636a9abae572da98c
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit a43c815a6fe38d60ded59776ba6e71d87a1eedc1
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Thu Aug 1 13:58:20 2013 -0400

    Clean up style
    
    Change wrapping and indent of some code in Handler::startElement to
    improve consistency.
    
    Change-Id: I13bae6bbb732e3c5791cf0079154feed8d8dcbd1
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 43857068b0706f4a473c5f0a8d8c545ccab89cd9
Author: John Ehresman <jpe@wingware.com>
Date:   Mon Jul 1 16:05:25 2013 -0400

    Updated authors file
    
    Change-Id: I43bc9ad2b32fc24bdbbc38728ae34e60ea843103
    Reviewed-by: Roman Lacko <backup.rlacko@gmail.com>
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 46db89a2a500c5b760c6f2b35ecde38d7e5ebfb6
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Fri Jul 26 12:16:45 2013 -0400

    Fix '%#' substitution for # > 9
    
    Change '%#' substitution to use a regular expression for the 'old' text
    to enforce a word boundary after '#', such that we don't perform e.g.
    '%1' replacement on inputs like '%10'. This fixes problems trying to
    modify functions with more than nine arguments, such as the example from
    the previous commit (which now compiles and passes). Also add a test
    case for this.
    
    Change-Id: I9956804b3c65bddf7e36838866641b24ceb87c57
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit ae2a80453b95775364e93ed1a4647429b2fd7bad
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Fri Jul 26 12:11:21 2013 -0400

    Improve dependencies for tests
    
    Add the global header and typesystem XML, and shiboken itself, as
    dependencies to running Shiboken for generating the wrapped code used in
    the unit tests. This gives a better example in case of users looking at
    this code for how to do things in their own projects, and also makes
    test writing easier by removing the need to do a clean build or touch
    files to force the wrapping code to be recreated when modifying the test
    code or the generator. Change command invocation to use shiboken as a
    target name (CMake will recognize it as a target and use the correct
    path automatically), and remove the now redundant dependency of the
    wrapping libraries on the same. (This is superfluous both because using
    shiboken as a target will cause CMake to add an implicit dependency on
    it for users of the generated files, but also because it isn't really
    needed; the generate command having it as a dependency covers needing it
    built first, and is what we really care about as far as rebuilding
    anything if it changes.)
    
    Change-Id: If5cdf2e98602e500b49ba7b000e4e30e77e1a136
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 9da47455fa23323c68af13f1cd44ee2380b6c682
Author: John Ehresman <jpe@wingware.com>
Date:   Sun Jul 21 18:05:35 2013 -0400

    Bump version number to 1.2.1
    
    Change-Id: I96686740c2572818fce36de23cf2c16f127fdda9
    Reviewed-by: Roman Lacko <backup.rlacko@gmail.com>
    Reviewed-by: John Cumming <john@jsolutions.co.uk>
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit fddf371c86bb3c2339c518859f6bd3e1721dda88
Author: John Ehresman <jpe@wingware.com>
Date:   Fri Jul 12 11:15:08 2013 -0400

    Return None for .name of enum if no name for value.
    
    This fixes segfaults when trying to get the name of a dead key
    from a qt key event.
    
    Change-Id: Ie631e2245bca0a3fee8616854f6479d3dec0c2bb
    Reviewed-by: Roman Lacko <backup.rlacko@gmail.com>
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 1d8690ab38f1ec4d7902eece201d79c18c65d002
Author: John Ehresman <jpe@wingware.com>
Date:   Fri Jun 28 10:15:22 2013 -0500

    Bump the library version number to 1.2
    
    Change-Id: I5dde75c011a976a1da235d11847bdc69014df5df
    Reviewed-by: Roman Lacko <backup.rlacko@gmail.com>
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 69a454e663aef660e96d0f089ca5eb5809e34395
Author: John Ehresman <jpe@wingware.com>
Date:   Fri Jun 28 17:36:45 2013 -0400

    Removed old logos from html docs
    
    Change-Id: I7b546aa11b7380049c533a44d9c9159edd73d73b
    Reviewed-by: Roman Lacko <backup.rlacko@gmail.com>

commit 9fcd4f5cd5c53fd0eb9dae17e1760662ce4ca497
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Thu Jun 27 17:29:25 2013 -0400

    Add missing return on module init error
    
    Add 'return' before 'SBK_MODULE_INIT_ERROR' when module initialization
    fails due to a missing dependency. This appears to have been
    accidentally lost in 0b1f8df512047c6ace60701180ec1e4f6e97484e.
    
    Change-Id: I1bc1453c8515e7b67c101c8e8f13a1266d04433f
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 288f57f34fe1ebec409ec60868d5bde057440886
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Thu Jun 27 17:25:34 2013 -0400

    Don't break -Werror=non-virtual-dtor
    
    Classes with virtual methods but non-virtual destructors are dangerous,
    because users often hold pointers-to-base-class of derived classes,
    which cannot correctly destruct the derived class if deleted. As such,
    there is the aforementioned warning that developers may like to promote
    to an error. Add virtual (empty) destructors to some classes that were
    tripping this, so that we build successfully if said flag is used, and
    because they should probably be present.
    
    Change-Id: I930ad5f5d122cf94c57e52bf28479cf3ca7950d4
    Reviewed-by: John Cummings <jcummings2@users.sf.net>
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 297f2708dfd049b8b475ee1e680a788f0dfe164b
Author: Stefan Landvogt <stefan@valvesoftware.com>
Date:   Fri Jun 28 11:55:25 2013 -0700

    Fixing shiboken test for minimal binding test
    
    Don't execute typedef_test.py, when NumPy is not installed
    
    Change-Id: I452944822177f616ea640ed0ee005d0436ab518b
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 42f40dc10b715cd91d8d020a4708154a5d7f6a6d
Author: John Ehresman <jpe@wingware.com>
Date:   Tue May 28 10:13:37 2013 -0400

    Decref reference to type object
    
    A decref is needed if the type is not subclassed when an instance
    is deallocated
    
    Change-Id: I2c64d7cb5b726c5bf108c1cbc5283cf315a5f8e9
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 79e32dd6c67cfbd0d0e2b163e6d1959ea5161465
Author: John Ehresman <jpe@wingware.com>
Date:   Sun Jun 16 18:10:53 2013 -0400

    Fix segfault when using shiboken.delete
    
    When an object is deleted, invalidate / releaseWrapper needs to
    be called before cptr array is deleted.
    
    Change-Id: I82f71f569d5a0f52084fbe1cc3d7846e764c7ef6
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit f060e1ce92fdb4714ca2cface9474db33f1d8e95
Author: John Ehresman <jpe@wingware.com>
Date:   Sun Jun 23 15:07:57 2013 -0400

    Use non-static method def for instance methods
    
    For methods that can be called as either class or instance methods
    (e.g. PySide's QObject.connect), a non-static variant of the
    PyMethodDef struct is needed in Python 3.3 when method is used
    as an instance method.  Fixes
    https://bugreports.qt-project.org/browse/PYSIDE-145
    
    Change-Id: Ie8876a381614f33815f9b6449ea4a61cde9e5cee
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 7d56c8e1d3025edb967906d9481075c38290574c
Author: John Cummings <jcummings2@users.sf.net>
Date:   Fri Jun 21 13:57:14 2013 -0500

    Fix bug introduced when recursive_invalidate was added.
    
    If a Python object is passed to recursive_invalidate and is a sequence,
    each item in the sequence is invalidated
    Add unit test for recursive invalidate of a sequence
    
    Change-Id: I70834f8e027bd17a04c0e443bc7d584d1fde26c1
    Reviewed-by: John Ehresman <jpe@wingware.com>
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit b137af6d67c65b7e0e362acbdfc0cce0a321e90c
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Tue Jun 11 16:27:12 2013 -0400

    fix build in C++11 mode
    
    Add spaces between string literals and preprocessor symbols. These are
    required because C++11 defines string prefix and suffix operators, and
    confuses preprocessor tokens adjacent to string literals as unrecognized
    string literal modifies, resulting in compile errors.
    
    Some of these changes are also needed to prevent generating code with
    the same problem (which affects both Shiboken building itself, but also
    any users of Shiboken).
    
    Change-Id: I99f2d3c61fd9df682f915a29f27321fee2ce759e
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 709f98d254efde9f98476913e79ea02fd88cd7c2
Author: John Ehresman <jpe@wingware.com>
Date:   Mon May 27 21:53:02 2013 -0400

    Prevent infinite recursion in invalidate
    
    Change-Id: I8946a8572b608bf8ede211d270f797f135f8083a
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 45268bd0ad5a6569adad2e529574d7bf536d0bff
Author: Teemu Kaukoranta <teemu.kaukoranta@digia.com>
Date:   Wed May 22 11:03:09 2013 +0300

    Replaced Nokia copyrights in header
    
    Replaced old Nokia copyrights with Digia copyrights.
    Removed "All rights reserved" strings without leading copyrights were
    removed (for example, 'Copyright SomeCompany, all rights reserved
    remain untouched).
    
    Did NOT touch contact details, will change them later.
    Excluded folders that have '3rdparty' in path.
    
    Used command:
    find . -path '*/3rdparty/*' -prune -o
    -exec grep -ilI -E '.*Copyright.*Nokia.*' {} \; |
    tee >(xargs sed -i -r '1,10 s/([ \t#*]*)(.*Copyright.*Nokia.*)/
    \1Copyright \(C\) 2013 Digia Plc and\/or its subsidiary\(-ies\)\./I')
    >(xargs sed -i -r '1,10 s/(^[ \t#*]*)(all rights reserved.*)/\1/I')
    
    This excludes binary files and retains whitespace and #* characters in
    the beginning of the edited lines.
    
    Change-Id: I0d49f991c3dbd45d804843f185714e8681bc6c51
    Reviewed-by: Sergio Ahumada <sergio.ahumada@digia.com>
    Reviewed-by: Janne Anttila <janne.anttila@digia.com>

commit 4f4a3e6522d139b223060634ad3bbbb343f79564
Author: Robin Dunn <robin@alldunn.com>
Date:   Mon May 6 11:08:31 2013 -0700

    Fix possible conflict with garbage collector.
    
    Ensure that the GC is no longer tracking object an object before starting
    to delete it.  Since Shiboken's object deletion goes through several steps
    we need to ensure that the GC will not try to delete the same object.
    
    Change-Id: Ia3337c72204b0ebf524959e1c99fbef7c1a02249
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit e2288e227e85e61df2215ce8f9a38a8c7e832e89
Author: Robin Dunn <robin@alldunn.com>
Date:   Mon May 6 11:02:03 2013 -0700

    Fix possible crash at exit.
    
    The interpreter may already be finalized when it gets to ~BindingManager() so ensure that the interpreter is still valid before doing anything that could result in Python being called for a DECREF or etc.
    
    Change-Id: I8a68322f404a1dcaa9203923d6f699ed57e9d319
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 91142c00a45b78d6dafd9e0a472243cff951a507
Author: Sébastien Sablé <sable@users.sourceforge.net>
Date:   Fri Mar 1 11:37:20 2013 +0100

    Fix handling of unsigned long long and provide unittests.
    
    Change-Id: I29674a2d758ebf4650e2fe26cdc2e663c0bae5c7
    Reviewed-by: Sébastien Sablé <sable@users.sourceforge.net>
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 00d80865b7ef20440a4c925940c5576bbc8e248b
Author: Sebastien Sable <sable@users.sourceforge.net>
Date:   Thu Feb 21 12:09:32 2013 +0100

    Add test to illustrate issue on typedef enum
    
    Change-Id: I0c95a5ba46a3392d5ff6bb5f40d300b07facf7e9
    Reviewed-by: Sébastien Sablé <sable@users.sourceforge.net>
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 76a92c3cc6bda8511e5a8e19d159385361ac84a9
Author: John Ehresman <jpe@wingware.com>
Date:   Thu Dec 20 17:39:11 2012 -0500

    Use getWrapperForQObject to convert if generating for PySide
    
    Change-Id: I4a83bc3642c9853e61597093fb0a7f25fdfec46b
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 4aa901db487cc1202680046091f074ea58544ea3
Author: John Ehresman <jpe@wingware.com>
Date:   Thu Dec 20 12:57:24 2012 -0500

    Allow compilation without a python shared library.
    
    The use case is compiling against a python built with shared
    library support disabled.
    
    Change-Id: Ic919ebcf7c85261a0275a013ebc1523c1fe5a755
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 48259be8b3dc5f0c7b5026cc2821545b422d2c4f
Author: John Ehresman <jpe@wingware.com>
Date:   Tue Dec 11 17:29:43 2012 -0500

    Use parent class's metaObject if wrapper is NULL.
    
    Return metaObject from parent class if wrapper has been
    invalidated, which currently happens in the *Wrapper class
    destructor.
    
    Change-Id: I1d5ef8802acf796cced7838b3ecc76f51201d906
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 46fe1eac50b094a6252e7a6a678a438f1b2c8f9a
Author: John Ehresman <jpe@wingware.com>
Date:   Tue Dec 11 15:44:59 2012 -0500

    Optionally assert on free'd pointer with a valid wrapper.
    
    Use a debug mode callback that's called every time free is
    called to detect wrappers that are still in the binding manager's
    map after the C++ object is deleted.  When it's enabled 10+
    of the PySide tests fail.
    
    Change-Id: I30a40d48f6c4560ff0a3755d61c26ea4c6dd2758
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit fdf8e4b70e2a82cda581ceae06a1c98fb20114f0
Author: John Ehresman <jpe@wingware.com>
Date:   Tue Dec 11 12:53:24 2012 -0500

    Find python3 libraries when built with pydebug enabled
    
    Change-Id: I5ab48078f8a4468865bc0a961f78d2d578b8f81c
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit eb293c2839cfbc726f0e085e1435c94b6f6561f9
Author: John Cummings <jcummings2@users.sf.net>
Date:   Tue Sep 11 10:59:08 2012 -0500

    Fix PYSIDE-108 bug and add example
    
    Replace "::" with "_" in protected enum name to fix issue
    Add test case to libsample and samplebinding
    
    Change-Id: I2edea2dfa8adecfe5fa34f777da9f60cfe4c6ee4
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit a3cecbab9735d40f97c0a031dd17ac594cf39e82
Author: Nathan Smith <nathanjsmith@gmail.com>
Date:   Tue Jul 3 17:55:04 2012 -0500

    PYSIDE-83 Fix segfault calling shiboken.dump
    
    shiboken.dump would segfault when called on an object whose C++ object
    had been deleted or whose parent C++ object had been deleted.  This now
    checks to see if the data pointers beneath the PyObject are NULL before
    printing data.
    
    Change-Id: I89763a3ca3a5d25fad4142ff924692cd232c9c40
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit e1a91dd721c17727bea41b591336d1cacca6dea4
Author: Nathan Smith <nathanjsmith@gmail.com>
Date:   Tue Jul 3 17:35:27 2012 -0500

    Fix and test case for bug PYSIDE-72.
    
    The address of the PyObject is used directly as the hash rather than a
    member of that object.  This avoids segfaults when the C++ object has
    been deleted, rendering the child pointers NULL.
    
    Removed a test case verifying that hash(QObject()) != hash(QObject())
    because they in fact can be equal.  The first QObject dies and is reaped
    before the second QObject is created, meaning that the second QObject
    may be allocated at the same address as the first QObject, giving them
    both the same address.  If a reference is held to the first object,
    though, then they will get different hash values.
    
    Change-Id: I116463f88b837726a98720bae36770d53b13f4ee
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 7e5c76981d6bcb04b72a407a6bc4076170ee414e
Author: John Ehresman <jpe@wingware.com>
Date:   Thu Jun 14 14:59:23 2012 -0400

    Override all functions with the same name, not just one.
    
    This allows pyside to compile with Visual Studio 2008 when built
    against qt 4.8.  There are still test failures, however.
    
    Change-Id: I83da30211e5032b1352102f189cb93dfb741eb38
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit f92ea511050786900ee9b648fdd7cefae13e3973
Author: John Cummings <jcummings2@users.sf.net>
Date:   Thu Jun 14 15:30:27 2012 -0500

    Update vector conversion
    
    Incorporate Hugo's comments from change Id2ea1a5f
    
    Change-Id: I5f0c93b7036f5d2908cd2ee2038eb570f9889b58
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 22b6e8243784aa57c820d01b73ed16e604d7bca8
Author: John Cummings <jcummings2@users.sf.net>
Date:   Thu Jun 7 11:25:55 2012 -0500

    Add typedef examples to minimal
    
    Add an example for a typedef of a template
    Add an example for a typedef of a typedef
    Add a python unit test for these examples
    
    Change-Id: Id2ea1a5f1e4b3d865c081625f2d5b7ed4c38bbdb
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit f465efbff6830866c0a82b30193389bb97ab2210
Author: John Cummings <jcummings2@users.sf.net>
Date:   Thu Jun 14 13:36:17 2012 -0500

    Add test files back to cmake
    
    Change-Id: If4f2cd745fe0c6e81d876c0f890cd94dc73f5721
    Reviewed-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 8bce7870aebd415a3d842cda3c29b82461802214
Author: John Ehresman <jpe@wingware.com>
Date:   Fri Mar 30 15:11:57 2012 -0400

    Don't use it->second after erasing it
    
    Change-Id: I77bda667d4119a7982ec93175ff0b3153277ad8e
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit e40e993cecd1663636e2f0d33b3e2a6204d64984
Author: John Ehresman <jpe@wingware.com>
Date:   Thu Jun 7 20:44:19 2012 -0400

    Find function modifications defined in the 2nd+ base class.
    
    Fixes bug PYSIDE-54
    
    Change-Id: Ic5c341741170cc77e8ebb59c46c746211582ddeb
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 54cce10fa8a9942450c9e1a9d9a9d2a1b688f243
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed May 2 21:45:52 2012 -0300

    Set a default hash function for all ObjectTypes.
    
    Fix bug PYSIDE-42
    
    Change-Id: I1392374dcf0055309152082e674cc1e3e6472d4d
    Reviewed-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 9a8eaf81a4694088cb2a5f3fcea753ea588cb7cf
Author: Paulo Alcantara <pcacjr@zytor.com>
Date:   Wed May 2 20:24:56 2012 -0300

    Fix compilation when there is no libxslt installed on the system.
    
    Signed-off-by: Paulo Alcantara <pcacjr@zytor.com>
    
    Change-Id: I7ea373535ff936b6a4fbf0071aff0a690925db15
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 1f7127acd36492cd37c7b86e09e62c51557c9ad3
Author: John Ehresman <jpe@wingware.com>
Date:   Tue Apr 17 15:18:45 2012 -0400

    Install the shiboken module to site-packages
    
    Change-Id: Ia11858b90183ef6b599e1c0f299e730cd4ff9334
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit f169a8c0e154ddd1a531e2aab51288ab1209ebb9
Author: Roman Lacko <backup.rlacko@gmail.com>
Date:   Mon Apr 30 23:36:11 2012 +0200

    Fixed resolving of SOABI. SOABI is implemented on Linux, but not on Windows
    
    Change-Id: I472321506b53ff21ba608ebf72b0b7b458121387
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 8c5297bb10daf508f787646b66a2e4c21e4e15f6
Author: John Ehresman <jpe@wingware.com>
Date:   Tue Apr 17 12:30:49 2012 -0400

    Don't use inline methods in dllexported classes to keep VC++ happy
    
    Change-Id: I2e954bedfe4699a621047a757b3dbd202655e97b
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 815159e28d786d83c984670cd8867d5ce3d314f4
Author: John Ehresman <jpe@wingware.com>
Date:   Fri Mar 30 15:13:18 2012 -0400

    Use SpooledTemporaryFile in 2.6+ os.tmpfile() fails on win32 if process doesn't have admin permissions
    
    Change-Id: Ic231d5faac08360a793ce33c091eef251d7b35e4
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 1a6bd4513e85eec3ad1648e545cd596cb6ab3858
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Apr 27 14:41:26 2012 -0300

    Version bump to 1.1.2.
    
    Change-Id: Ib7c918b91679240223ae8091c90d9069392b3423
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 03650317cdf3c22e8f7353e3dfee03cd4030558d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Apr 27 14:32:49 2012 -0300

    Disable docstring generation if tools aren't found.
    
    Change-Id: I11d6b90c2ba924fbe182924e747fa39adc6981c6
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 49bc8fbb0803f91d391211356492fba9bc4e68dc
Author: Jason McCampbell (Enthought, Inc) <jmccampbell@enthought.com>
Date:   Thu Mar 15 16:07:22 2012 -0500

    Don't clear weakrefs if Python interpreter isn't running
    
    Change-Id: I51ba2fcf5f881abb38e9b69b115fb98c536e2146
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit edd5baf707a87cb681fc1300a8942f6f2f348e56
Author: Andy Kittner <andkit@gmx.de>
Date:   Wed Feb 29 21:28:42 2012 +0100

    Use set instead of list to store children
    
    Should fix issue #pyside-4
    
    Change-Id: I2500c3b80b07697c1750b136eaef332643658956
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>

commit 9536f1388bc768722a7407c61504ea5e6227f57f
Author: Andy Kittner <andkit@gmx.de>
Date:   Wed Feb 29 21:00:47 2012 +0100

    Use correct variable replacement syntax
    
    Fixes issue #PYSIDE-5
    
    Change-Id: I8950416b743f99c3646a89640a1ac35c4c4362a1
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 02c1fd0749fcee5c0c869d1bf822b33d32fed8ad
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 13 11:03:34 2012 -0300

    Remove data dir from ApiExtrator, it doesn't need to install anything now.

commit db17a2f368049ccb9050d6f4e7b51bb6aeae87e2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Feb 29 00:48:41 2012 -0300

    We don't need GENERATOR_BINARY define anymore.
    
    Reviewer: Trust me.

commit 2c2883fc2253da9e3e4ae344bc7c0ce888d39ca9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Feb 29 00:47:11 2012 -0300

    Removed all visibility macros from ApiExtractor since it's now a static lib.

commit 323a511f4920a2001ae353b584f47f2aa30534c5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Feb 29 00:33:33 2012 -0300

    ApiExtractor merged into Shiboken as a static library.

commit 037696b4cfc6fe172f3d3200c6737813b054faa1
Merge: bd2df4e 14e2207
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 13 10:52:23 2012 -0300

    Merge ApiExtractor into Shiboken to be used as a static library.
    
    Conflicts:
    	.gitignore

commit 14e2207a58e79360bd48507b5e386ec944d8dd74
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 13 10:48:37 2012 -0300

    Move ApiExtractor into ApiExtractor directory to ease the merge into Shiboken.

commit 744d018dd857543f93f3961cf9e7f70adcc7ce65
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Wed Jan 4 15:40:37 2012 -0300

    Fix BUG #1086 - "generatorrunner segfault processing #include..."
    
    Boost headers typically include the character '#' at the beginning of
    any line and just do nothing elese with that unnamed directive. So as
    that's not actually an error, rather that's just a just-do-nothing
    directive we'll ignore this situtation. There's still a problem when
    using #include directives and passing macros as arguments rather than a
    path to the header file. Instead of asserting this issue we'll print a
    warning message about this issue.
    
    One can also include a path between brackets (for e.g., when defining a
    macro or so) so that we cannot simply ignore that. So we need to handle
    this kind of stuff as well.
    
    See http://bugs.pyside.org/show_bug.cgi?id=1086.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 002efe18aa6208dca588a8da737c87c0e13a8a76
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 30 15:11:00 2011 -0300

    Version bump to 0.10.11.

commit 4889efc199243af54cf71accffb3f9554cba933d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 23 15:10:17 2011 -0300

    Added the "<custom-type>" tag, and better requirements for function signatures.
    
    Trying to find a non-qualified (without scope information) class, found
    in a function signature or return type, was a bad idea for it makes the
    parsing awfully slow when dealing with huge libraries. If the user
    writes a type in short form in a function signature (e.g. "SomeClass",
    instead of "Namespace::SomeClass"), APIExtractor will exit with a
    message indicating the error and the possible candidates for the type.
    
    The "<custom-type>" tag is for types of the target language ("PyObject"
    in Python, for instance) and will be handled by the generator.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Paulo Alcantara <pcacjr@gmail.com>

commit ab94961a639cc7b364fcb1e3f68531792c312990
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 22 14:23:22 2011 -0300

    Function signatures including return types are reported as invalid.
    
    This fixes bug #1101: "Report invalid function signatures in typesystem"
    http://bugs.pyside.org/show_bug.cgi?id=1101

commit 3fed11c07c214e4c396f2ecfd19236ac1dcedb07
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Dec 21 18:43:02 2011 -0300

    Fixed type resolution for types inside scopes, but their names omit this information.

commit 8550517e9d3a03603ece294e4183853040e16fd8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Dec 21 18:42:52 2011 -0300

    Fixed typo on warning message.

commit c19323bbe798f6e3a5cc4d2714789ede8b025e0d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Dec 20 19:42:14 2011 -0300

    AbstractMetaTypes for object types used as values must have the Value usage pattern.

commit 470991329c637150eb44a223a9e061a62ea6ce2f
Author: Jerzy Kozera <jerzy.kozera@gmail.com>
Date:   Thu Oct 20 20:21:19 2011 +0200

    Fixed compilation error for gcc versions < 4
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit e648d0b0398f46afd2d5c5113a3b95a0522f5c2a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Dec 13 21:11:09 2011 -0300

    Fixed insert-template tag when used inside a module level inject-code tag.
    
    Also added unit tests.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 5e5009140ec778dd217ce254770ed25c755a906c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 9 20:32:15 2011 -0200

    Don't report cyclic dependency when there not a single to form a graph.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 933e955e6b67422e7fd70130d4d3e84f7ee471c8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 9 20:33:21 2011 -0200

    Version bump to 0.10.10.

commit 5b610437268a09ca51f05efd36e270816f38258b
Merge: 93001f6 9ccc24f
Author: Bruno Araújo <bruno.araujo@gmail.com>
Date:   Fri Nov 18 10:10:10 2011 -0800

    Merge pull request #18 from baraujo/master
    
    Doxygen support

commit 9ccc24fdac4179c3f533509baed0da2dd4ee21f4
Author: Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>
Date:   Fri Nov 4 13:31:54 2011 -0400

    Doxygen support

commit 93001f6a1fe8fa1fe7bf4d7d5dcda7fefae888b8
Author: Yaakov <yselkowitz@users.sourceforge.net>
Date:   Thu Oct 27 11:17:44 2011 -0200

    Fix bug 1008 - "ApiExtractor Cygwin patch"
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 9bd43d046bfc93eefa682bbce95ccc53fc1b0550
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 27 11:20:05 2011 -0200

    Bump version to 0.10.9.

commit fe7944368f2b1ed62b7002dae33bba5352c6f637
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 20 11:31:32 2011 -0200

    Version bump to 0.10.8.

commit f12e470665c66101baf3a52fca0737b5102d5420
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Oct 19 14:27:36 2011 -0300

    Fixes setting of template argument's usage pattern.
    
    Comes with an unit test.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 6b0d3bae3a0c015c3341a6d615a6b6d799322d8a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Sep 16 19:43:38 2011 -0300

    Fixed modifications to global functions.
    
    Also added unit test.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 35ab8b8e722b73a3a3ed9312379f6ab849252e19
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jul 25 22:44:53 2011 -0300

    Added improved functionality for the 'conversion-rule' tag.
    
    It works for primitive, container and value types. Object types doesn't
    have conversion rules because they can not have implicit conversions,
    and the regular conversion is always the same (get C++ object held on
    Python wrapper, and finding/creating a Python wrapper to a C++ pointer).
    
    Unit tests were added.
    Documentation was updated.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit e7fdca6465740132bd881ffd9d20e61be47472d0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Sep 1 18:53:22 2011 -0300

    Fixes method's argument types that are templates but the template variable wasn't declared.
    
    An unit test was added.
    Other unrelated tests had minor improvements.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 2d3a55bd847616a9b666531795d3b99e5c78a56a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Aug 31 15:08:49 2011 -0300

    AbstractMetaBuilder fixed to set base container type correctly in meta class' type entry.

commit da35e24a6c8eee2f42646a50186ef776e211c167
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 31 14:53:54 2011 -0300

    Fix outdated info on docs.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit f60da508aa6e45232dbb1ae2831c4a45479d168e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Aug 29 18:22:00 2011 -0300

    Revert "Implement getTypeIndex function for types no generated types and primitive types."
    
    This commit broke the macosx build of PySide.
    
    This reverts commit e9758a01f15bc53de8e03b77ec8beb5673b1b1af.

commit 16dc50e25109274f400a064b4d672384d09b22f7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Aug 26 14:32:37 2011 -0300

    Optimize isCppPrimitive function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit dfd0bc442d5f3c04d03ee23606b399ed18d304f7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 24 17:54:56 2011 -0300

    Implement getTypeIndex function for types no generated types and primitive types.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit eef4208e789cff36e5f6a40a49a239d6461f8683
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 24 17:03:55 2011 -0300

    Version bump to 0.10.7

commit d151c052d5113fbe1e8d1b921dff3b45105e94ab
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Aug 16 11:05:32 2011 -0300

    Added setTargetLangPackage and targetLangPackage methods to PrimitiveTypeEntry.
    
    Updated tests.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 15b355dca205090adf9fe338f02963f945263d98
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 15 16:20:39 2011 -0300

    Included the unsigned types in TypeEntry::isCppPrimitive() method list of types.
    
    Also added a test for a typedef of an unsigned numerical type.

commit 26eeabae2ac5f8b449d34bf472b1e506efdf35cd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Aug 11 17:46:41 2011 -0300

    Version bump
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit fbabe7a32b49d214ee5653cf6f0ced2f936c81ab
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Aug 11 16:54:44 2011 -0300

    Fix bug 731 - "Can't specify more than a single 'since' argument"

commit 7c2acc64fb7d345c184c91336ed20913a6d6d791
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 10 15:20:30 2011 -0300

    Fix link on rel bar.

commit 44a69e123dd2f610f0b7ecdd505a61130152e58c
Author: Didier Raboud <odyx@debian.org>
Date:   Mon Aug 8 13:32:35 2011 +0200

    Update pysidedocs theme to rely more on sphinx's base theme:
    
    - Drop files that are redundant with sphinx.
    - Add _templates/layout.html to add the needed customisation.
    - Update theme.conf to ensure theme inheritance.
    - Update pysidedocs.css to fit the theme with sphinx's basic theme.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 0540c82e917293ec97b73760ecf6ceb7fb06425c
Author: Didier Raboud <odyx@debian.org>
Date:   Mon Aug 8 13:31:19 2011 +0200

    Drop superflous .directory file.

commit c956f7307362d8ea2f0c2658b5954264fbf2bc05
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sun Aug 7 14:01:53 2011 -0300

    AbstractMetaClasses now hold the instantiation types for the templates they implement.
    
    AbstractMetaClasses that are typedefs for template class instantiations
    use to keep the template from where they derive, but didn't keep the
    values used for the derivation. Now this is fixed, and with an unit test.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 389dab874764823c7a4b7a0b8a257f001d83ec02
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Aug 4 18:46:37 2011 -0300

    Compute the type indexes if needed when calling getMaxTypeIndex().
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo@openbossa.org>

commit 68976e42cd1d765baa73a85bc1b80da829996ec1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 3 17:10:31 2011 -0300

    Set code generation flags on TypeSystem type entry.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e486e0bbe2065bbc228f84f93178e0636475021b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jul 20 11:53:01 2011 -0300

    Added default constructor option for value types.
    
    The unit test is in place and the 'value-type' tag documentation was
    update with information about the 'default-constructor' attribute.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit b3644ccd1f52073ed70ce8b6e0ed4f58a07632d7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jul 27 18:04:59 2011 -0300

    Copied AbstractMetaBuilder::decideUsagePattern() method to AbstractMetaType.
    
    The decideUsagePattern on AbstractMetaBuilder now calls the new
    AbstractMetaType's method.

commit 1a989347e029e9f90b5c2c727243a02d1c1aa496
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jul 25 14:37:48 2011 -0300

    Added a test for operator methods removal.

commit dda325de53c44decafe8f95a803e561b66dbe43f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jul 25 16:28:10 2011 -0300

    Fixed TypeEntry::isCppPrimitive() to process typedefs and "long long" type.
    
    And added an unit test.

commit 4430af6307cc0aa599f99eb7aaa5570eb80a7bc2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jul 11 19:01:42 2011 -0300

    Fix PySide code generation.

commit 28510ddcf9d856c9ae351a30abb7593d418b7dd6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 7 14:09:04 2011 -0300

    Check inconsistencies for enums and disable generation of private entities.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Filho <renato.filho@openbossa.org>

commit 9aabb6c3a5505da1e44be2dbec366f51fb2249ba
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jul 5 19:22:51 2011 -0300

    Added docs for typesystem new attributes.

commit 2cc6e2afa7b9845ccfc62b9dce72b498034e8de9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jul 5 19:11:04 2011 -0300

    Added revision attribute to type entries tags and flags-revision to enum-type tag.
    
    These attributes will be useful to separate the wrapped API in revisions and ease
    the task of producing ABI compatible bindings.

commit 31df158c68385c300f6c9b7cb0fe06bb3a789300
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jul 11 14:26:41 2011 -0300

    Bump version to 0.10.5.

commit 902bc687fd1a6503106594080e3075c8a68f248b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jun 21 17:52:35 2011 -0300

    Version bumped to 0.10.4.

commit 72df9d496c4efa0ad154f0623a4a41b9ebfb948b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jun 6 16:14:56 2011 -0300

    Show perm links only when the mouse hover on title.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 86f3ce6210c9ecfe07b2ec730742ab6706bd0d1a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jun 6 16:14:50 2011 -0300

    Doc js files sync with latest release of sphinx.

commit b78dcfc72e3dcfdcbb2ba80790bc2d243c1b0888
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jun 3 15:46:10 2011 -0300

    Fix bug 464 - "Can't create target lang package and namespace with the same name"

commit e3de600d1823595b6b9d43f0214acdb36bb60152
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 31 11:37:58 2011 -0300

    Fix bug 827 - "Anchor sign for headers to copy links for sections"

commit 2acdd73d6a0e63e0df9f8744ab8b6ee20c336666
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon May 16 17:26:39 2011 -0300

    Fix bug 851 - "Shiboken recognizes dereference operator overload as times operator overload."
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 38e7c4839a89fa2bf7602143d779eb99dee5c9de
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Apr 8 15:06:58 2011 -0300

    Fixed conversion operators type resolution for references to types.
    
    This is fixes bug #716: http://bugs.pyside.org/show_bug.cgi?id=716
    
    Unit tests were added as usual.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 190b04bd9d47ed5e4b6d9d401b8574b36da105e5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed May 11 18:49:38 2011 -0300

    Don't compute function modification from API versions greater than the current version.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 33eb60d19f0884d9c7ecbe26b571c82de2d77b51
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 10 16:04:09 2011 -0300

    Fix bug 417 - "Support nested naming of flags"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit df47f8ad80e92952fcdb1f09a794cd15cc17f3ec
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Apr 28 17:51:54 2011 -0300

    Bump to version 0.10.3

commit fd5c0f2a8a114ce11390fee445976d7cc0d213f3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Apr 25 15:01:35 2011 -0300

    Add support to template types as arguments on user added functions.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 427992fc248b60dc38e21a4a2e2a48f64c1cbe2c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Apr 14 19:47:06 2011 -0300

    Add support for adding reverse operators with add-function tag.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a4196f6b63d3050a7bc631e6276e17e0af4dc1eb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Apr 11 15:50:53 2011 -0300

    Add AbstractMetaFunction::isCallOperator() method.
    
    Returns true when the function is a call operator.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e3019fc3e235bee97447a80f0ec9424d3171898c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Apr 11 15:56:59 2011 -0300

    Remove GCC 4.6 warnings on abstractmetabuilder.cpp and parser.cpp
    
    abstractmetabuilder.cpp:1792:9: warning: variable ‘firstDefaultArgument’ set but not used [-Wunused-but-set-variable]
    parser.cpp:2136:17: warning: variable ‘global_scope’ set but not used [-Wunused-but-set-variable]

commit 2ee4fa594678cfd2e3b874ef7235d410e6126da0
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 6 18:17:59 2011 -0300

    Skip functions added on base classes.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 988de2f105e30e59c5df649ce6d46f9f66a211d8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Apr 7 17:29:41 2011 -0300

    Removed warning about unused variable when using gcc 4.6.

commit 17f8e2a2435874df7103826641ab46b7761c010a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Apr 4 15:34:23 2011 -0300

    Added support for module extra includes.
    
    Unit tests were also added.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit eea55215f0f172c7103e881ec1423891784a2790
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 6 16:05:01 2011 -0300

    Version bump to 0.10.2

commit 4cffc36a1564069342ec1435d5cdf9223c856554
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Mar 31 18:35:14 2011 -0300

    Version bump

commit 7297460400873c28a183113ad66d4eec11452306
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Date:   Fri Mar 25 13:00:09 2011 -0300

    Use QDir::currentPath() to avoid problems with armel-Meego target.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 55b5e13e496ba035166af43ba133083d1f95bd6b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 24 11:04:59 2011 -0300

    Fixed AbstractMetaType::cppSignature() method.
    
    The usage pattern *must* be decided *after* the possible template
    instantiations have been determined, or else the absence of
    such instantiations will break the caching scheme of
    AbstractMetaType::cppSignature().
    
    Reviewed by Bruno Araújo <bruno.araujo@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 1e2dc2d50f90f71c13f405b0a2bd82af994f7457
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 24 09:23:03 2011 -0300

    Added tests for template containers used as arguments for functions.

commit 23e950c9a2c9ac493d539f892c5051f703004d32
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 17 15:58:47 2011 -0200

    Turn some regex static, so we don't need to compile them in every function call.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2b671a5452d9f8c528948e4dcd707a11d3b8962b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 17 15:47:23 2011 -0200

    Add more cache stuff to speed up the generation process.

commit 3932724b812f711893461038d0d0808dc1e2d79f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jan 4 13:44:24 2011 -0200

    Cache the value of AbstractMetaType::name

commit d63acce85c01257af96809f1081ab479d1f703a8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 17 10:15:45 2011 -0300

    Added a depth counter to avoid segmentation faults when discarding type entries.
    
    And an unit test was added.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 2ca6e422c0a4c58fad74fe523abb25716df81ce2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Feb 16 08:22:51 2011 -0300

    Added the "ApiExtractor::setDropTypeEntries(QString)" method.
    
    It gets a string of semicolon (;) separated type system entry names
    that will be passed to the type system parser to deal with the given
    entries.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 6fda7c1130e1ca7512ea2936ce2336722381fe07
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Feb 16 08:22:04 2011 -0300

    Added a test for dropped type system entries.
    
    Also updated the TestUtil class to deal with dropped entries.

commit eab5d72e3f7727f5726fa49267985cfcbd8e2c07
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Feb 16 08:14:45 2011 -0300

    Type system parser has now the ability to ignore entries as demanded by the user.
    
    The entries that could be dropped are:
    * Object and Value types
    * Global functions
    * Namespaces
    * Enums
    
    The entry name must be fully qualified with scope items separated by a
    dot (.) and beginning with the module/package name.
    Example: to drop the class "Bar" inside the namespace "Foo" from the
    "Pkg" package specify it with: "Pkg.Foo.Bar".
    
    TODO: The parser will later complain that dropped entries found on the
    headers are not found in the type system. That's obviously incorrect,
    but to fix it all the type entries should store the name of the package
    from where the came. And that's a needed improvement!

commit f66bede561b7e1b282c835395f14f08437c407f8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Feb 16 17:18:07 2011 -0300

    Bump version to 0.10.0.

commit 88b59c7c1519327a731671d266521263d4deb4b2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Feb 16 07:37:15 2011 -0300

    Removed unused variable.

commit 6fc7f20b4c876d93ecbb22a36c6a026a4b604f5d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 10 21:51:57 2011 -0300

    Moved down AbstractMetaType creation line to avoid possible memory leak.

commit 181789982339a85ae6ad7a973816b2adeb48739a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 10 18:02:43 2011 -0300

    Update documentation for reference-count tag.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 2c927a298b845cbf08a551614884e2a4a12482a9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 10 17:36:29 2011 -0300

    Added an alias for the confusing index values for the ArgumentOwner class.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 27f41bcac569037d1440b960d16f149b5499870a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 8 18:19:39 2011 -0200

    Uncomment usefull code to get reference-count action attribute work again for all values.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 7ee3543fd19e49fffaf6f3213cc553ebb3ee636e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Feb 4 17:12:41 2011 -0300

    Global functions can now be renamed.
    
    This is accomplished via the "rename" attribute on the "function" tag.
    An unit test was added and the documentation updated.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 517993907bb165daafda75c9c5165985ea454794
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Feb 2 15:12:13 2011 -0300

    Bump version to 0.9.5.

commit e97526444566ae2f6aad339c082d7e0a69e785e5
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Feb 1 16:22:37 2011 -0300

    Fixed Cmake files used to find the library after the installation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit b9862f6a783ad302e6ef6f6f850ac95a5071c4ca
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jan 26 14:23:10 2011 -0200

    Use QCoreApplication instead of QApplication for TestModifyDocumentation.
    
    This change was made just to avoid a crash on our FREMANTLE/ARMEL buildbot,
    the test still the same.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit c1978362f242419bb0e1f8f432c6e200cd26654d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jan 24 18:09:12 2011 -0200

    Avoid crash reported on http://bugreports.qt.nokia.com/browse/QTBUG-16868
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 7697ce94003f4a0647cdabe1988fe254fa35af40
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jan 24 10:23:30 2011 -0200

    Fix bug#636 - "Unable to navigate back to the main site from the generated documentation"

commit 8b3713eb810b63bc006b7a46dfff775a76f9c5f6
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 21 15:51:35 2011 -0300

    Bump to version 0.9.4

commit 175871f9468b083a59554394ef2fa72ef6098070
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Thu Jan 13 15:00:12 2011 -0300

    Un-hardcode test resources path
    
    Instead of hardcoding (through the __FILE__ macro)
    use the current application directory to find the
    resources. The previous scheme didn't allow running
    the tests when the source code isn't available.
    
    List of resources:
    
    - a.xml  -> testmodifydocumentation
    - utf8code.txt -> testcodeinjection
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit e3f8e67d859a6fd005c3569fb8fc3695ad4029b0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jan 6 15:37:00 2011 -0200

    Fix documentation typo.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit e7ea28a5aebcc984c25c2bcd9872c02f17ba9199
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Jan 6 20:13:38 2011 -0300

    Bumped version to 0.9.3.

commit f5fb9ef30e72c3609e62034bdef3029abf9d2daf
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Jan 5 17:07:59 2011 -0300

    Fixed polymorphic value for classes.
    
    Fixes bug #587.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit b6fdc5e8e6555aa7ee2cfe709fc68725ddc68ea4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 29 16:36:26 2010 -0200

    Add support to fix bug#493 - "__eq__ and friends not implemented for QKeyEvent == QKeySequence"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 82aaafc79c78a16717be5433e84aed3c51c4a4c8
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Dec 20 14:57:28 2010 -0300

    Bumped version to 0.9.2.

commit 2175ccbcb773d345ebe16df6a89892a1b7101628
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Dec 15 18:16:59 2010 -0300

    Renamed the "define-ownership" tag "calss" attribute value from "shell" to "native".
    
    This was done to keep consistency with the rest of the type system tag
    attributes, which use "native" instead of "c++" or "shell".
    Documentation was updated accordingly.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 62e80ae1b79bd2cc63a4f969168edd544c7034a0
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Mon Dec 13 15:43:58 2010 -0300

    Make installed tests executable
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 7611d0a4d22dd60a9236623c810e25f7e12ad377
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Wed Dec 8 15:45:46 2010 -0300

    Add option to install the tests binaries.
    
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit b56272a3b61835045d061afed4326ff657e4230c
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Date:   Fri Dec 3 14:06:43 2010 -0300

    Include "generate" attribute for namespace type into documentation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit cff03f33d032f4723078d430b36494ee35e0a636
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Nov 25 17:42:39 2010 -0300

    Bumped version to 0.9.1

commit 8839242cca9a5d0730f0c09f5c8e34dffa45fb87
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Wed Nov 24 11:29:29 2010 -0300

    Bump version to 0.9.0

commit 840f54bb66ed4aae3b1659c518a9af83fc6a5f76
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Nov 22 19:38:12 2010 -0300

    Updated documentation for the 'remove' attribute of the 'modified-field' tag.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 991f3c6902f1fb77bd952b3168f006e39126db05
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Nov 22 19:23:44 2010 -0300

    Discards class' fields removed in the type system binding description.

commit 8a8c0f521c0f2224e8f26e8ad2b5676aaa4ddc69
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Nov 22 19:22:49 2010 -0300

    Added the 'AbstractMetaField::isModifiedRemoved' method.

commit c79374b5a72959f541fdeb95d7e6b57396ed6b15
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Nov 22 19:17:24 2010 -0300

    Added the 'remove' attribute to the 'modify-field' type system tag.
    
    Also created a static convenience function to process the 'remove'
    attribute content and set the error message if needed.

commit 7a6b3c64d4b424c09928bfd593ca4aa0738b1e02
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Nov 22 19:11:05 2010 -0300

    Moved members of FunctionModification to parent Modification class.
    
    'removal' public attribute and 'isRemovedModifier' public method were
    moved from FunctionModification to Modification, this benefits
    FieldModification class, that inherits from the latter.

commit 5e5eba2c5c8bb8558c6df1dd9bef18f3d531a476
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Nov 22 19:09:59 2010 -0300

    Fixes spelling on warning message.

commit fc170a368630a90a74fea796aa20f8f2c7fe7cc5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Nov 22 19:09:00 2010 -0300

    Added unit test to field removal.

commit 548b2ea5b535b5a80ddf4881430faef064c7226c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Nov 19 18:50:57 2010 -0200

    Fix TypeEntry::isCppPrimitive to return true on void types.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 59d60a65b22acf21f62314dd5ab6a047509bb7e4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Oct 27 18:15:16 2010 -0200

    Add helper method TypeEntry::isCppPrimitive.
    
    Returns true is the type is a primitive C++ type.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit e5ecbe66d2f1ccfe8c80d58e3e66f4344f3e5505
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 28 13:56:52 2010 -0200

    Bump version to 0.8.2

commit 99862b71c95e1e061ac743fb864a041fa0a1fbf8
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Oct 8 15:51:48 2010 -0300

    Implemented support to added functions for TypeAlias.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura  <lauro.neto@openbossa.org>

commit 6ab94ebbe402a92a7587e5b947f821712b6ee605
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Oct 6 11:35:03 2010 -0300

    Fix extraction of documentation from namespaced classes.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit bf3a54b93944ae86f82db2e49ccffe8efdaa3517
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Oct 5 14:31:14 2010 -0300

    Better qproperty function check
    
    Now checking for the full specs:
    
    Getter: TYPE name(void)
    Setter: void name(TYPE)
    Resetter: void name(void)
    
    The previous behavior was crashing when there is a different
    overload with the same name of one of the property functions.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 8db091fd280d5e965c90b2da4b26dd030e4b0f54
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 4 11:38:07 2010 -0300

    Change "or" to "||".

commit fc57e7dd0846f28c319db3bc5c902b3055042fc7
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Oct 1 16:45:58 2010 -0300

    Implement support to target conversion.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 35c500c84b6be8f400f8cd1029c528172bca49c7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Sep 30 17:30:23 2010 -0300

    Add toStringCapability attribute to AbstractMetaClass.
    
    This capatility indicates that the given type has a QDebug::operator<<
    function, so it's only useful when using PySide extensions.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 128c833f6b51a3709a2b0162f639121981389af2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Sep 30 10:57:29 2010 -0300

    Added a better support for resolution of enum value attribution.
    
    Plus tests.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit f1987763b81d4a73063ebbd494dd3d09fef6383d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Sep 30 10:50:04 2010 -0300

    Private enums are now accepted in the type system database.
    
    This is done to allow enum value evaluation.
    Comes together with a nice test.

commit 7c1048b86bc76e68f728e4819fe832d17276bfe6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Sep 29 10:46:48 2010 -0300

    Improved resolution of enum value attributions.
    
    In particular when an enum item is set to the value of an item from
    other enum. The code for this was moved to the method
    AbstractMetaBuilder::findOutValueFromString.
    Tests were added as well.
    s#	../tests/.testenum.h.swp

commit 0f84794301386a9371c374e5ed062fc000c96f17
Author: renatofilho <renato.filho@openbossa.org>
Date:   Wed Sep 29 15:39:11 2010 -0300

    Avoid check ifr include file exists during the generation.
    
    Fixes bug #382.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 0dd7d12ca18255ec186293bc00918cd68e516fa6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Sep 28 15:19:06 2010 -0300

    Fixed AbstractMetaBuilder to handle enum values receiving boolean values.
    
    In other words, this
    
    enum {
        Positive = true,
        Negative = false
    };
    
    is now properly recognized.
    
    Tests were added as usual.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 2bfe59a2b8a588b338da7b9472d4ec6f66c2d10a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Sep 24 14:28:42 2010 -0300

    Add retrieveModuleDocumentation(modName) function to DocParser API.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f3a9cdbeb96ba5346f11ea5ef618b127684cfc72
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Sep 24 14:25:30 2010 -0300

    Fix doxygen tags on comments.

commit fd481fc78302cea1fc7d63a471ecdb71968c310f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Sep 27 15:06:01 2010 -0300

    Fixes compiler warning on AbstractMetaBuilder.

commit aa4fe2fa4520de55c8f074ccdd6b8378ca448391
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Sep 27 14:57:31 2010 -0300

    Fixes segmentation fault caused by bad handling of global enums.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit eac6125bac2029389594c8bad0b0fa48cffe1d6b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Sep 23 17:19:15 2010 -0300

    Argument types that are arrays with specified sizes are correctly recognized.
    
    The AbstractMetaBuilder::translateType method now tries to figure out
    properly the size of array argument types specified with enum items
    instead of literal numbers.
    
    Test cases were also added.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 5633a2dbe3aba94292e1e3d03ccabe8cf25b802a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Sep 23 17:18:03 2010 -0300

    Fixed AbstractMetaClassList::findEnumValue to search for the enum in all classes.

commit b3c0b0493fe48d2ca416f4a509a93dd1344e15b1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Sep 23 17:13:55 2010 -0300

    Fixed AbstractMetaClass::findEnumValue method.
    
    It was doing the opposite that it should be doing.

commit 2994593b09a644ac49e733d02824fc888bc9e57e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Sep 23 17:11:19 2010 -0300

    The AbstractMetaBuilder::figureOutEnumValues method now operates over global enums.

commit 7e0b83f158ee45657c0824d2dc05dd2b28d1798a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Sep 23 16:51:16 2010 -0300

    Added tests for global enums.
    
    They check if the AbstractMetaEnumValues hold the correct value
    information about the enum item described.

commit 3f4f28d14b3dfc7be0834ef13a0a04350dec752b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Sep 23 14:57:47 2010 -0300

    Removed files not used by our current documentation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 47cf0c2fafd1cdf594a319a7e42c606880ce0d51
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Sep 20 19:29:57 2010 -0300

    Updates tests to use nesting of type declarations.
    
    Also added a new cases to test the nesting of type tags a bit more.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit e6b15c234864cc8061f43a1c238ad57b78dcc61f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Sep 20 19:24:40 2010 -0300

    Adds support for nested type declarations on the type system file.
    
    Instead of:
    
    <enum-type name="Foo::Bar"/>
    <value-type name="Foo"/>
    
    the nested version could be used:
    
    <value-type name="Foo">
        <enum-type name="Bar"/>
    </value-type>
    
    The old usage is still allowed.

commit 614bab3782a20d534f3b17ba35d69518a9ac73c3
Author: renatofilho <renato.filho@openbossa.org>
Date:   Mon Sep 20 18:54:27 2010 -0300

    Use CMAKE_<CONFIG>_POSTFIX  on config files, used for cmake and pkgconfig.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit ed78ef787f52a9c5f7d791e3f02a853c88ad6e3f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Sep 20 11:30:14 2010 -0300

    Added documentation for "enum-type" tag attribute "identified-by-value".
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 5179bca73955373e087d6b51edcabf038c964ac8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Sep 20 11:36:45 2010 -0300

    Anonymous enums now supported.

commit c182be3e4c89fe81c15722708d8b712598a528b8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Sep 20 11:36:12 2010 -0300

    Added tests for anonymous enums.

commit 266fafd7336016d8326e0ea852584103daed3c3f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Sep 15 17:07:15 2010 -0300

    Add "doc" target to be able to build the docs out of the source directory.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9550b32660b676774a669f30ecb4d29bf1c120b3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Sep 15 14:47:59 2010 -0300

    Bump version.

commit 2a3467c699108d539325b91e5f2c68471e4c67b0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Sep 15 14:47:10 2010 -0300

    Bump version show in documentation.

commit d60308ead4a5df126176d034ebd728bc5be5cb3c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Sep 9 15:36:20 2010 -0300

    Created cmake option 'ENABLE_VERSION_SUFFIX' to use version on generated files to allow multiples version installed simultaneous.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 4c79cca936632da8fd6c9174babd4a9f72624f52
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Sep 9 15:30:54 2010 -0300

    Bumping the version due to a BIC change in commit ce7f2121cd3583d67f26bcc87e8a1d2d11e599a6.

commit 396b71f4ddcbcdd7772bb9c02be8df642b7a1be2
Author: Modestas Vainius <modestas@vainius.eu>
Date:   Thu Sep 2 10:51:13 2010 -0300

    Fixes various memory alignment issues which cause generator to crash on alignment-sensitive architectures.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 2d170a0b8b1519befc4cdad57a0a46ccf8d16e0a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 1 13:35:40 2010 -0300

    Fixed function modification propagation.
    
    Now all modifications on base function will be propagate until a new modification was found.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Lauro Moura  <lauro.neto@openbossa.org>

commit 869b35c10ef573771532c6f2cb017dbfab315e61
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Aug 31 16:11:26 2010 -0300

    Add support for distributed compilation using icecc.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 7ba853bece5756a361b6ed8a69d3dc2f43a0ac75
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Aug 30 19:11:38 2010 -0300

    Created function to discovery when a class implement a container type.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit b55c812e620e4c31c0b4658534c74930124995a4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Aug 30 15:44:46 2010 -0300

    If a class have a non final method doesn't mean that class is polymorphic.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.araujo@openbossa.org>

commit db29a857e3734f6d36d3d8cd919574a0dd286ad9
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Date:   Wed Aug 25 11:43:31 2010 -0300

    Avoid removing temporary file when in DEBUG mode.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 729bb0a501941a7b6bb85995d4e1263567017ec3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Aug 19 15:11:36 2010 -0300

    Colored output is disabled by default on Windows.
    Define the NOCOLOR constant to disable it in other systems.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit de371608299b190ba310923a99ef2619bf632cd3
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 18 17:30:17 2010 -0300

    Use binary dir to install libraries on windows when not using msvc.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 6e5ab7a42253697511a5153a80b66760a04e5f45
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 18 16:50:03 2010 -0300

    Use CMake DEFINES to export symbols.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 199eb768315920a3479251e2e247a5257a6a6dfd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 18 16:18:50 2010 -0300

    Fix flags used when compiling using MSVC.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit e78a0f399a6c565efb17adc8921f189f825d0547
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 17 15:01:39 2010 -0300

    Fixed error during the property functions parser.
    
    Fixes bug #302
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 93bb443dc983d686ba8d645b3c4c6c9763b04b0e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Aug 16 17:06:50 2010 -0300

    Disable colored output on windows (msvc)
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 20c9b77b712211f6d04c0166c78f579e19869473
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Aug 16 15:02:59 2010 -0300

    Make libxml2 and libxslt optional dependencies.

commit 900370cf73a8ad8bd2b61285123ddc0089452089
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 11 17:22:42 2010 -0300

    Detect operator() as operator overload.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 243d81b4f730d4f939603aa1c5f8d60423c2c4d0
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 10 14:20:23 2010 -0300

    Does not consider private operators.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 8b84c3340b7869fa80a0037bb3a5339ce2845329
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 3 19:41:00 2010 -0300

    Bump to version 0.7.1.

commit 0aa33dc0846503b67245593ed21ab306b1d8a106
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Aug 2 15:20:52 2010 -0300

    Updated allocator class.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 694326a3ba5547556072afc3c0f63c29e311bc9b
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Date:   Wed Jul 28 14:22:12 2010 -0300

    Fix wrong behaviour of topological sort.
    
    When dealing with repeated and unordered classes it can generate an
    invalid result array.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 28da24d29cfc5137a4cf1940c9fa45d519334e17
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 22 18:01:54 2010 -0300

    Fixed memory leak.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 6cb4e7de26ca84cac29775d9a7360c4a20b5cfbf
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 15 15:45:11 2010 -0300

    Fixed tag processing to accept "inject-code" as child tag of "add-function".
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 9ffc134e0a810ae2deb1d44c24c5d0e4e8123c86
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jul 9 09:59:16 2010 -0300

    Put back variable-name in 'reference-count' tag.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 8f129f10f2fc325b37d017224796aa91f965a83b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 8 17:29:11 2010 -0300

    Bump version due to ABI changes.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9961a25273bd6ff59efdef4d482269eea8c069d0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 8 17:05:21 2010 -0300

    Fix bug#260 - "Can't modify argument name of a function added with add-function tag."

commit 681f738fe473239d73172fdc979c208fdf434e2d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 8 14:16:51 2010 -0300

    Removed unused global variable.

commit 19130a4576b4abe8cd1d054863e1343aa38442c7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 8 10:32:19 2010 -0300

    Init struct values on constructor.
    
    Newer versions of parser do this, e.g. the version used on kdevelop4.

commit ab3fd527a3c7f4131fbf48b6c06166ef684431d3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jul 6 17:43:38 2010 -0300

    Fix bug#253 - "Segmentation Fault when clicked on ListWidget with TableModel"
    
    Tag not only abstract functions but also non private functions with "EmptyFunction" when
    their visibility was reduced.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 439524d314304c3bcfd7e351d040387b3fd60d2e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jun 30 16:11:19 2010 -0300

    Added a method to return the template list from AbstractMetaBuilder.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit fff2628c407b0e53bab6b47bcb82621f37111c0b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jun 30 16:08:24 2010 -0300

    Added test for a class inheriting from a container template.
    
    The test is simple and only checks if the classes were inherited
    properly.

commit d3435da2648113d21fa85dc93b5b4f65a80f1731
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Jun 29 17:19:44 2010 -0300

    Namespaces must be traversed recursively as they should.

commit 007442264ec64071abceede296c47f3bbf162776
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Jun 29 17:16:19 2010 -0300

    Added test for class member inside a two nested namespaces.

commit ec74d012b6dc5eb49df4259dd64e33e455b8c5cc
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Jun 29 10:38:17 2010 -0300

    Guarantees that namespaces and inner classes will not be repeated.
    
    Lists of global namespaces, inner classes and inner namespaces now
    have duplicated entries removed.

commit 310cd9c13635c5001bc9f63bdcb79ea93cbfccd5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Jun 29 10:36:00 2010 -0300

    Added test for template inheritance involving forward declaration and namespace.
    
    This test case is similar to a previous test with forward declaration
    except that this time everything is inside a namespace. This slightly
    different situation could trigger problems in a different place
    on AbstractMetaBuilder.

commit 2cf33f010b56520bdefacf5a93e15a580f48e641
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jun 28 20:33:34 2010 -0300

    Adds test case to namespace members, namely enums and functions.

commit 51cd6edb17866dbfe96990e3db15273d6d26bf75
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jun 28 19:48:53 2010 -0300

    Fixes usage of std::unique method.
    
    std::unique looks for adjacent duplicates in a list, so it needs
    to be sorted for the algorithm to work in all items.

commit 068900d4f0af107e03dca9b530fff47deac4066d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jun 28 17:42:24 2010 -0300

    Added test for template inheritance involving a forward declaration.
    
    When things goes awry methods from the template parent class got
    duplicated in the inheriting class.

commit 28401810fe9be0dafea604a50b4139d10f75873a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jun 28 10:53:41 2010 -0300

    Class members are traversed after the classes themselves.
    
    To prevent a method that uses a type that was not ready at the moment
    of analysis, the classes are traversed separately and before the class
    members, namely fields and methods.

commit 8265cf08db5817c60f7427e21d85e1a8e8ae5508
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jun 28 10:48:02 2010 -0300

    Type translation now looks in the class' parent scope.
    
    When trying to figure out a type the AbstractMetaBuilder::translateType
    method should also look in the class' parent scope.

commit 509769c4d96752265f652ce2cc0f5931ebfae42b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jun 28 10:43:23 2010 -0300

    Added test for type resolution order.
    
    Methods or functions signatures using any type from the library being
    wrapped must be processed after all the library types or else the
    function/method will be rejected.

commit 1930fb468bf5b81a02a18d564be90b5737fa7242
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jun 30 18:10:49 2010 -0300

    Implemented support to namespace on documentation.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>,
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 2d266c0947c72635c2a1c3550a44497f16473d91
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jun 24 16:31:16 2010 -0300

    Fixed namespace resolution name.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2236d656664f6a07e52ffde474b5c7d6e5b78467
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jun 24 16:30:46 2010 -0300

    Created test for namespace resolution name.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit fa32db5bfb6247407aa25af0d30b5c939cc8e04d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jun 23 16:03:31 2010 -0300

    Fix cmake files used by other libs to detect ApiExtractor.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit bb81e23761fdff05f2becaa90839ae3384c28fd5
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Fri Jun 11 16:11:32 2010 -0300

    Fix compilation and instalation on MSVC.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit b23a67365cfa2e93f71aea81feeca51c08b4f24e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jun 18 10:43:45 2010 -0300

    Fix trivial spelling errors.
    
    Author: Didier Raboud <didier@raboud.com>
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 40b10e15dae3fe1422452446ecc35574a1abbc8a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jun 16 19:36:55 2010 -0300

    Fixes AbstractMetaBuilder::fixDefaultValue method.
    
    For some reason if a default value given to above mentioned function
    is exactly "QVariant::Invalid" it is turned into "0". This is done
    for no apparent reason and causes the Python binding generator to
    produce bad source code for the QtSql module bindings.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 29c834e6bfc6bc2952844d98c4e3502c70c40063
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Date:   Wed Jun 9 19:54:03 2010 -0300

    Exclude signals from named arguments check test.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f8b1ef0db2a4671d8103271dab8521b40d46ebe1
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jun 9 18:45:11 2010 -0300

    Documented rename to tag inside of argument modification.

commit d322b45e1b8c588177f4d5e08713dc9e3cd66acc
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jun 9 18:10:43 2010 -0300

    Append more details on message related to nameless arguments.

commit cf3a3e20dd430274e88fcec8b683d8bac42a5785
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jun 9 16:59:20 2010 -0300

    Only display warning for unnamed arguments when this argument has
    default value.

commit 3e2500cab4c5a8b0bd0fb532ca6ed155c36c6dd5
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jun 9 15:15:46 2010 -0300

    Fixed warning message output.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 3649c91f1bdad3ce7db3ff895ae40edf06fc232e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jun 9 11:11:37 2010 -0300

    Enable warning for arguments without name.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 96316113bcd6e60bc602def066cb03ec5ece436b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jun 9 10:45:17 2010 -0300

    Implemented support to "rename to" in argument modification
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2cf5be8e2354e81298ab0df8c328949845143604
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jun 8 15:27:02 2010 -0300

    Make the progress message funny.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Hugo Parente Lima <hugo.lima@openbossa.org>

commit 4b3801acb8ecbd95f73ee92e16f2a10f5a1a8c39
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jun 8 11:36:26 2010 -0300

    Simplify progress message.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Hugo Parente Lima <hugo.lima@openbossa.org>

commit 877498e6b8cecd86a500c4f562159b4ce717191b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jun 7 11:01:45 2010 -0300

    Updated documentation version.

commit 89696d216b41239f950e599a88093e18bf2724c8
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Thu Jun 3 16:47:55 2010 -0300

    Use qualified c++ names instead to do the topological sort.
    
    Not using topological sort will generate an incorrect sorting when
    there are two or more classes with the same name in different scopes.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.araujo@openbossa.org>

commit 644d7b74d18a5838a7f26de02bd0aa9a212de85c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jun 7 16:18:58 2010 -0300

    Added the "default-constructor" attribute to the "primitive-type" tag.
    
    The default-constructor attribute specifies a way to build an instance
    of a class declared as primitive type using default arguments.
    Documentation and a test were also added.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 99d400c0ca0f139714448bc8ab3796495d8b316d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jun 7 09:52:56 2010 -0300

    Bump to release 0.6.1.

commit a728ed9024dff823d2c09d2a48604eca330ba176
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jun 3 11:22:10 2010 -0300

    Bump version to 0.6.0

commit 576c9b5c6045940da2586500b7c6bec44d00da69
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jun 2 15:53:37 2010 -0300

    Added methods to AbstractMetaClass to verify the presence of protected members.
    
    Added methods to verify the presence of protected fields and members in
    general in a class.
    
    Reviewed by Renato Araújo <renato.filho@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit bf5dbc2df39d014860a21884f55209ace04d2846
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon May 31 15:51:33 2010 -0300

    Added methods ApiExtractor::findAbstractMetaEnum.
    
    The new methods returns an AbstractMetaEnum for a given TypeEntry,
    EnumTypeEntry, FlagsTypeEntry or AbstractMetaType.

commit 0ae936e54e7f5e6a57db75dccfc8aa23b83fe6ef
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri May 28 11:55:03 2010 -0300

    Use external CXX_FLAGS on compilation flags.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2ec60aeab9c503325b39fa9a7d162ff80590bb96
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri May 28 10:54:45 2010 -0300

    Disabled GCC optimization flags by default.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit cd72613d2c371c839628a4fad03863daf8b9ed25
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 25 19:18:56 2010 -0300

    Fixed invalid links flags on MacOS.

commit 23889e6f48036ee7882f6097bb058130f78518db
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu May 27 14:42:18 2010 -0300

    The initialisation of TypeDatabase must happen first in TestUtil constructor.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit 14921132fd12abbf283c436ebf54d07ed54e50d0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu May 27 14:41:20 2010 -0300

    Fixes a misspelling.

commit 9b2c13330ea14a2e7892d53162e27b4b0b60e7bb
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed May 26 19:29:29 2010 -0300

    Imitialize apiVersion on typesystem.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit da684da266fe4ca63c7dd7a880988ef08a1fe4ac
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 25 16:15:23 2010 -0300

    Document about the flag "since".
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2060c23e8d2d80c721dd4eb31a777f4be0fefdfc
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 25 16:15:05 2010 -0300

    Created unittest to flag "since".

commit 6ddb2e91990b119017819c6290ca6de6c6b6ea21
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 25 16:13:19 2010 -0300

    Implemented support to flag "since" on typesystem.
    
    With this flag you can specify after which version the tag became
    valid.

commit 73d7cfa75642672e4fe2ccd52eae872a16953dba
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri May 21 11:19:09 2010 -0300

    Avoid export unnecessary symbols to public api.
    
    Fixes bug #209.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Hugo Parente Lima <hugo.lima@openbossa.org>

commit 5c8f288633bede95d3f7d8a587f439c3e068e395
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu May 20 17:30:16 2010 -0300

    Revert "Fix files to link against on Windows."
    
    This reverts commit a7bce60de9bc884506b4f4d13ea538702d459597.
    
    This CMAKE LINK_LIBRARY PREFIX does not exists on cmake 2.6.

commit 22f0c2b7b75a58e417163dc2c24234924917448b
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed May 19 15:02:02 2010 -0300

    Remove ancient code commented out years ago.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 1785eb816851e19f06fb46124d02c30b12a3a739
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed May 19 15:00:15 2010 -0300

    Comestic changes to follow our code style.

commit 63d79a46e11ecf046d74e58669744c9af18f9ed8
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed May 19 14:44:16 2010 -0300

    When the class is a alias for a template class, proper rename their constructors.

commit ea82a7c78ebd0ecfb5f7f771cc5cd777e06b3d5c
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed May 19 14:43:12 2010 -0300

    When the class is a alias for a template class, copy all properties from the base class.

commit aeecb5f46be002dce7b80182e8c067f553a67486
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed May 19 14:41:48 2010 -0300

    Add more tests for hasNonPrivateCtor method, when the type is a alias for a template class.

commit 81079a9c9f4a9ee6f7f017b10bfab2967f1212e0
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed May 19 14:02:03 2010 -0300

    Remove useless castType variable.

commit e91afbd99e5397c83bfb408133904738536ef25a
Author: Catalin Iacob <iacobcatalin@gmail.com>
Date:   Sun May 9 16:31:29 2010 +0200

    Fix MSVC compilation failure.
    
    The error message was:
    apiextractor\include.h(78) : error C2375: 'qHash' : redefinition; different linkage
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 1a4bd60b7fa94252378514dab38febee51120b4c
Author: Catalin Iacob <iacobcatalin@gmail.com>
Date:   Sun Apr 11 19:38:09 2010 +0200

    Fix files to link against on Windows.
    
    On Windows there is a distinction between a DLL (foo.dll) and the import library
    (foo.lib) that a program links to in order to use that DLL.
    It seems that CMAKE_LINK_LIBRARY_SUFFIX is perfect for this distinction - the
    suffix will be .lib on Windows and .so on Linux.

commit ad4b2999f4c29946ebaf8969503f40211b272ba4
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Mon May 17 18:26:46 2010 -0300

    Do not add the base class as a dependency if the base class is not in the graph.

commit 1124238d66a51f5ebf0074c29475594c4b41a90b
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Mon May 17 18:26:03 2010 -0300

    Add better error message when a cyclic type dependency is found.

commit c8438a7ce830aa3151f12e71721b9457b33be41d
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Mon May 17 18:24:15 2010 -0300

    Do not copy the QList, use a const reference instead.
    
    QList copy is cheap, because it's implicity shared, but const references are much more cheap indeed.

commit 7104ff092dd4c8891422b5febec7aed459a1b393
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 4 18:39:56 2010 -0300

    Bump version to 0.5.2.

commit 7049c25b7799de2458a8e36b96f7ad7183f9441e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 4 10:54:38 2010 -0300

    Updated git-archive use to keep compatibility with git version 1.6.

commit 5255204923e448eedea5d7a86661ae56885b8e4b
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Tue May 4 10:36:52 2010 -0300

    Fix soname of ApiExtractor.

commit 4e1fe043771af09c6894ba5bc3438dcc1c4be904
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Tue May 4 10:37:37 2010 -0300

    Bump version to 0.5.1.

commit 515c9921ce242714b1fab38035e9f980f4c40a26
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 3 18:27:28 2010 -0300

    added gitattributes.

commit 30c35ad08eb0610caf37d343e7bd0dda7820cf4d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Apr 30 16:01:29 2010 -0300

    Fixed QFlags lookup.

commit ffae84ae273f46916d1898ade33c1728f324c707
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Fri Apr 30 10:35:16 2010 -0300

    Tag user added function inside namespaces as static functions.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Renato Araújo <renato.araujo@openbossa.org>

commit deb5e6ffeecbabeff84b021a374e4d75bc12790b
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Thu Apr 29 17:25:16 2010 -0300

    Bump the documentation version
    
    Reviewer: Bruno Araújo <bruno.araujo@openbossa.org>
    Reviewer: Willer Moreira <willer.moreira@openbossa.org>

commit 4bab4ec7e92fa9cc758d30ad8ff7887760fbbdbb
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Thu Apr 29 11:39:34 2010 -0300

    Added tests for template instanciations using enum values, all under a nice namespace.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Renato Araújo <renato.araujo@openbossa.org>

commit ca3eac504857ade114fadb614631fe6ab78c5aad
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed Apr 28 15:40:56 2010 -0300

    Fixes template instanciation when the template parameter is a enum value.

commit 4adc6f3519a25060db98182eee66f3dcb9a60999
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed Apr 28 15:39:35 2010 -0300

    Only add an enclosing class to the dependency graph if it's part of the graph.

commit c615b9c1db720d97034263081ad83f80496404a7
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed Apr 28 15:07:51 2010 -0300

    Add EnumValueTypeEntry.
    
    Enum values are in global namespace, so sometimes you need to get them from TypeDatabase,
    a use case for this is a template class where the template parameter is a enum value.

commit 3026fe34cabf67394c7d45becccf30e8fd9e0a2e
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Fri Apr 23 15:21:58 2010 -0300

    Remove detection of duplicated enum values, this was implemented due to a bug on boost::python which
    doesn't exists nowadays.

commit b42f0be98cf4a4e679d4ec6c50447ae1ae817efe
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Apr 20 16:40:58 2010 -0300

    Support 'void' argument.
    
    Reviewer: Anderson Lizardo <anderson.lizardo@openbossa.org>
    Reviewer: Renato Filho <renato.filho@openbossa.org>

commit 62c659481f9a105ffa789b32040375db5cbc959c
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Apr 20 16:40:42 2010 -0300

    Adding tests for 'void' argument in functions

commit d8b38821c1a2c4405506cefcf3dba284cbf2162d
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Fri Apr 23 16:27:01 2010 -0300

    Do not generate bindings for global functions when the typesystem was loaded with generate=no.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit 1e2a9f164bfd612c1ee102a9847309f39e1e92d2
Merge: d843013 1daed74
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Date:   Fri Apr 23 15:25:24 2010 -0300

    Merge remote branch 'luck/fixprivctor'

commit d8430135a0747071d7f047329c841a7ae51c3cd9
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Thu Apr 22 16:31:23 2010 -0300

    Add method setTypeEntry to AbstractMetaFunction.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Renato Araújo <renato.araujo@openbossa.org>

commit 1daed740c2bb04f7e28e538e3f5240f9848b3c3b
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Date:   Wed Apr 21 11:39:31 2010 -0300

    Update class info once a default ctor is added.

commit 20e999b731191a1e427ab7e1183f2b37790678c7
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Thu Apr 22 16:15:18 2010 -0300

    Added documentation for function tag.

commit 38367298e39ee0710a86fda4aae294fb88981356
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Mon Apr 19 16:19:31 2010 -0300

    Show a warning if a global function defined in typesystem was not found by the parser.

commit 8241ca049d9e0339a3b7b6b68a38ad826f63eb81
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Mon Apr 19 15:52:19 2010 -0300

    Fix constness of FunctionTypeEntry methods.

commit ba1ec45a45a197a3b1b9a3c00bd3f91a2dea13b8
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Mon Apr 19 15:16:10 2010 -0300

    Do not create two AbstractMetaClass for every template class.

commit 9800093dbfb9054354ec04a1a035b7f85f328af4
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Mon Apr 19 14:48:40 2010 -0300

    Remove hardcoded QXmlStreamStringRef class from ApiExtractor.

commit 293dca7e9b7909a54f057cf658bdea7c07fb49ee
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Fri Apr 16 19:39:47 2010 -0300

    Fix class dependence in topological sort.
    
    - An inner class depends on their enclosed class.
    - A class depends on their namespace.

commit 8d37c58c29ca9cea1617e878e1a8a10a7f8ae9c4
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Fri Apr 16 19:38:05 2010 -0300

    Write graph nodes using quotes on Graph::dump.

commit 5b91402b2496f603b80c0a84cdfe3e9b18a19c87
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Thu Apr 15 18:48:53 2010 -0300

    Bump version to 0.5.0, due to ABI breackage.
    
    ApiExtractor is not prepared for binary compatibility, so this will happen
    a lot.

commit 8c03a55d03b2e63b760ec3be4a37285304b65b32
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Thu Apr 15 18:45:40 2010 -0300

    Do not set the include file on TypeEntries when the include file does not exists or
    it's the global header.

commit d75aeacd396691d5b26af1ac2a9669e407639155
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Thu Apr 8 14:52:54 2010 -0300

    Added ContainerTypeEntry::typeName() method.
    
    With this method we can get the string used in typesystem to declare the
    container type (list, set, map, pair, etc).
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
    Reviewer: Anderson Lizardo <anderson.lizardo@openbossa.org>

commit f267a89cfb4d5bf4e405db9ab1360d90ee70f867
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Thu Apr 15 11:45:50 2010 -0300

    Fix constness of TypeDatabase methods.

commit 6acf826b4b2eab32237845f98228171bb8be213c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Mar 30 19:30:25 2010 -0300

    Adds reverse operator functions to the proper classes.
    
    AbstractMetaBuilder::traverseOperatorFunction does additional checks
    to avoid mistaken a class' reverse operator as a direct operator of
    another class.
    
    An unit test was added to check for this case.
    
    Reviewed by Anderson Lizardo <anderson.lizardo@openbossa.org>
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit dd7f06be4d8687cd4ed45a41aac674ec50e645ed
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Thu Apr 15 11:29:12 2010 -0300

    TypeDatabase class moved to its own header/cpp.

commit 74d3c1bb12280ffb2b810ee4bd1272ba6fb8127f
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed Apr 14 19:32:37 2010 -0300

    Added the "function" tag to ApiExtractor.
    
    This change the behaviour of ApiExtractor regarding to global functions.
    All global function you want to be exported to python *need* to be especified
    in the type system with the function tag, otherwise they wont be exported at all.
    
    The syntax for this new tag is:
    
    <function signature="..." />
    
    This is just the initial work for this tag, it is missign support for:
    
    - Function modifications.
    - Add a function overload with add-function tag.

commit 46cd570358601d83be0e23a378fc688d8ed706b6
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed Apr 14 16:44:37 2010 -0300

    Include class moved to its own .h/.cpp file.

commit 97bff103c6de76a80088083ed2b909527f32c50f
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Wed Apr 14 15:51:22 2010 -0300

    Removed methods includeFile and setIncludeFile from AbstractMetaAttribute.
    These methods were moved to AbstractMetaFunction, because they are created
    to store the include file of global enums and functions, but for enums, we
    store the include file in TypeEntry, as functions doesn't have TypeEntries,
    only global functions need this.
    
    Also the new version of includeFile returns a instance of Include class
    instead of a QString.

commit 523a07f9b6c10dcd7809523e2491241bc2c1992a
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Tue Apr 13 21:14:55 2010 -0300

    Set the include file for enums.

commit 133479369928c590d4c351064a356be575debd6c
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Tue Apr 13 21:13:57 2010 -0300

    Fixed constness of Include::isValid.
    
    P.S.: This is a ABI change.

commit 5325b5ba762865ad63e76595cf3e7c0562a7f76b
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Date:   Tue Apr 13 21:12:14 2010 -0300

    Added qHash, operator<<(QTextStream,Include) and operator== to class Include.

commit c3e111369e3c4a60455fe5667d0adce341867dea
Author: Carlos Goncalves <mail@cgoncalves.info>
Date:   Wed Mar 24 23:16:47 2010 +0000

    Do not build tests if explicitly wanted to. Default is to build.
    
    The majority of users don't need tests built. This will reduce build time
    significantly, and packagers will be thanked for it. To not build tests append
    -DBUILD_TESTS=False to cmake parameters.
    
    Reviewer: Anderson Lizardo <anderson.lizardo@openbossa.org>
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit 458735ffaf282cf703698a86ec54f25a0df077d9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Mar 29 19:13:25 2010 -0300

    Do not add an operator function to a class from a referred type system.
    
    API Extractor does not add operator functions from the module being
    processed for generation to a class belonging to a referred module,
    that should not be generated.

commit 53c64681f115bfecf7dbdef8de905d25aa3dc301
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Mar 26 20:15:50 2010 -0300

    Adds many tests regarding default copy constructors.
    
    Also updated other tests dealing with constructor counting.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 9a6d442226667bb55eac1b5c6c2e95edcbf1f5e6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Mar 26 18:42:45 2010 -0300

    Value type classes now have implicit copy constructors added when needed.

commit c583958bc28ab69bc05a7009c9e512d1a227c985
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Mar 26 18:40:22 2010 -0300

    Marks user added constructors with one argument of a custom type as explicit.
    
    This prevents the generation of undesired implicit conversions.

commit 6b0973be81abe9c67f49336d92370e758b2a44e1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Mar 26 18:36:24 2010 -0300

    Adds convenience methods regarding copy constructors to AbstractMetaClass.

commit 4b275c5317256b66596ed289332f1df4d372b9e5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Mar 26 15:46:08 2010 -0300

    Tests if added constructor with custom type creates an implicit converter.

commit 02f68822d7cfa18d44d484ea156618701601c3e2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Mar 25 12:56:05 2010 -0300

    Fixes attributes for default constructors and class' "isPolymorphic" flag.
    
    When a class has no constructor explicitly declared a default is
    provided by API Extractor, but it should be marked as "Final".
    
    The setting of the "isPolymorphic" flag done in the
    AbstractMetaClass::addFunction method must take into account if
    the class has a virtual destructor, as it is done in the
    AbstractMetaClass::setFunctions method.
    
    The already existing tests cover the cases affected by the changes.

commit afc91022a1ef73ecc47fc04fe9a49862b5052605
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Mar 25 11:53:08 2010 -0300

    An inner class should not be polymorphic just because his enclosing class is.
    
    This commit adds a test for that situation.

commit b721351c714cbfa71467bc56b53f2912b56c0646
Author: Hugo Lima <hugo.lima@openbossa.org>
Date:   Tue Mar 23 10:33:35 2010 -0300

    Changed routine to build source packages.
    
    Our changelog is just the output of git log, so it's added only on source packages
    and don't need to stay in the git repository.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Anderson Lizardo <anderson.lizardo@openbossa.org>

commit 84ee7678b9e251305951f0284638e0fd7240aceb
Author: Hugo Lima <hugo.lima@openbossa.org>
Date:   Mon Mar 22 18:47:40 2010 -0300

    Bump version to 0.4.1

commit a8c7de762214a48b1c52ad3ddcc32391fff39cef
Author: Hugo Lima <hugo.lima@openbossa.org>
Date:   Mon Mar 22 18:46:35 2010 -0300

    Bump version to 0.4.0

commit e8f37f7ee2b7ea6a7d25732dbd335687b5493ec3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Mar 22 10:31:34 2010 -0300

    Meta type minimal signature should place reference symbol after pointer symbols.
    
    The minimalSignature method was placing '&' before '*'. For example,
    the signature "foo(Bar*&)" was becoming "foo(Bar&*)".
    
    An unit test was added to verify AbstractMetaType::minimalSignature().
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Anderson Lizardo <anderson.lizardo@openbossa.org>

commit 60c0865c6af16c91244123fe6f2c328f5fc912a4
Author: Hugo Lima <hugo.lima@openbossa.org>
Date:   Mon Mar 22 14:37:49 2010 -0300

    Remove some java-oriented stuff from ApiExtractor inherited from QtJambi generator.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
    Reviewer: Bruno Araújo <bruno.araujo@openbossa.org>

commit bd2df4ea6fd11f1285c07591367259f3900a93fc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 28 23:44:50 2012 -0300

    generators directory renamed to generator.
    
    This makes sense as now there only one generator that you can
    tweak it into different modes (a.k.a. generator sets).
    
    Reviewer: Trust me

commit 363d1104a92a8d4a9bb7eb5838dcf941d710d042
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 28 23:40:48 2012 -0300

    --generator-set command line switch is working again.
    
    QtDocGenerator also working again and the directory layout was changed a bit.
    
    Reviewer: Trust me

commit 00a27e8d6c410c980e7deb8603d4f765b0758500
Merge: 43c3b4e bbb7d41
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Mar 9 19:01:39 2012 -0300

    Merge GeneratorRunner inside Shiboken.
    
    Conflicts:
    	CMakeLists.txt
    	data/CMakeLists.txt
    	doc/CMakeLists.txt
    	doc/_templates/index.html
    	doc/_templates/layout.html
    	doc/_themes/pysidedocs/static/pysidedocs.css
    	doc/commandlineoptions.rst
    	doc/conf.py.in
    	doc/contents.rst
    	doc/images/bindinggen-development.png
    	doc/images/boostqtarch.png
    	tests/CMakeLists.txt

commit 43c3b4e7e876ebc7a38f76b948337166bb6eb985
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Mon Jan 23 16:00:11 2012 -0300

    Remove ambiguous constructor from libsample's HandleHolder.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>

commit 01a092b1453aced87eb10454fb03ea2f9a085cf3
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Wed Jan 18 23:29:44 2012 -0300

    On Fedora systems we usually have the binary of the Python interpreter compiled with debug as "python2.7-debug" for example. So we also need to check its suffix as debug, not only as dbg (which is a Debian specific case).
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>

commit f4e5ec5018b948cf774f2ef20dd46faced13d18e
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Wed Jan 18 14:21:29 2012 -0300

    Fix BUG #1113 - "Instantiating QObject in user-defined QML element's constructor crashes if instantiated from QML"
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>

commit eb2614d3ac818a6e2dfe85b1d1b98408f2d37f06
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Mon Jan 9 18:24:56 2012 -0300

    Fix BUG #1105 - "Spyder fails with HEAD"
    
    When handling typedef'd primitive types we don't need to create indices
    for them, nor converters. Instead, we must use the underlying primitive
    type converters.
    
    See http://bugs.pyside.org/show_bug.cgi?id=1105.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>

commit 633836a403355d2bc245819aab07f29b05ac901f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jan 2 16:49:24 2012 -0300

    Added missing pictures in converter documentation.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 41980deff0a53a539a248ffbb1674585e5b1fcea
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jan 5 18:51:44 2012 -0200

    Bump dependencies.

commit b1a0660a5837bef959bf2bfedc13c7ab70e50be3
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Thu Jan 5 16:38:02 2012 -0300

    Fix BUG #1092 - "shiboken names itself a 'generator'"
    
    See http://bugs.pyside.org/show_bug.cgi?id=1092.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>

commit 074b0896e2fcd2fb48b01847a7bf4d30c5dba621
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 30 15:27:33 2011 -0300

    Version bump to 1.1.1.

commit 2cd966ad20f64c03205f3a1e3f70920510247cc0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 30 15:27:12 2011 -0300

    Version bump to 1.1.0.

commit 7ca708a09839e4a9a9bb2f1fb600bf683d42c1e9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 29 17:02:26 2011 -0300

    Updated documentation for type converters.
    
    Expanded the Complex type conversion unit test.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Paulo Alcantara <pcacjr@gmail.com>

commit 3991d3b23bcce3f3ac5f468d35a1510a50ec8cba
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Dec 26 17:51:46 2011 -0300

    Added a generation/compilation test for container types.

commit c226e110d53cf9d06695bea3b79db8fd1371e0d2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 22 21:49:25 2011 -0300

    Declares Python types using the new "<custom-type>" tag.

commit 3ca9f740017276506f97e8d7b6da95852bcc3d57
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Dec 21 11:29:09 2011 -0300

    Improved error message for %CONVERT... macros replacement.

commit 88a481ce3b5574a79c23bc86b1d85872d613c364
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Dec 20 19:43:57 2011 -0300

    Added a compilation test for containers of object types used as values.

commit d7452d0b39fca516719bb103f076a22db6f25c2e
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Thu Dec 22 16:27:42 2011 -0300

    Fix BUG #1097 - "QtGui.QShortcut.setKey requires QKeySequence"
    
    E.g., when calling QtGui.QShortcut.setKey(QtCore.Qt.CTRL +
    QtCore.Qt.Key_Delete) it was being called as
    QtGui.QShortcut.setKey(long) (in Python 2) when it should be actually
    QtGui.QShortcut.setKey(int). So that resulted in a TypeError exception
    when using Python version 2 with that small code.
    
    See http://bugs.pyside.org/show_bug.cgi?id=1097.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>

commit eab3275c2cfa244a3407a858297e35c0ea01e8f6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 15 22:20:59 2011 -0300

    Simplified the conversions of the arguments in a QFlags binary operation.

commit 2e77640c7f4bfcbb464388a0007a2e4f9c8d0c90
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 15 22:18:07 2011 -0300

    Register the correct names for QFlags.

commit 6267972924ea9c9f7de5d61a3182c57ac1178016
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 15 22:16:05 2011 -0300

    nb_long and nb_nonzero functions for QFlags now use C's int instead of long.
    
    Using long causes erratic behaviour on linux in 64-bits architectures.
    Sometimes.

commit 207805bfe49121b3b9a2e25e5896d386debbca10
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 13 19:24:05 2011 -0200

    Cast enums to int, not long.

commit 4389601e22f8a8a3b5b6d4a92969030104cf4cd6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Dec 13 14:31:05 2011 -0300

    Fixed/refactored Shiboken::warning function.

commit 016a34e8eb8d5be5ddd27d49ab141c59359beea7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Dec 12 21:00:32 2011 -0300

    Removed commented section of test file.

commit bebb9009a1f400fae548ba2a6e0553fc2643c6e2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sun Dec 11 23:13:29 2011 -0300

    Removed the last pieces of code generation that uses the old template Converters.

commit fb37b84fa723af8fa911910932090b6569589e0f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 12 14:37:56 2011 -0200

    Fix conversion for HANDLE type.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 4f1b77a6310d77f521f484bbf567e7c75b9890ca
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 9 21:45:10 2011 -0300

    Fixed CMake configuration of sbkversion.h header.

commit 429724968d80cd292707d1b1e925f67972452edb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Dec 6 16:37:58 2011 -0300

    Fixed dynamic building of AbstractMetaTypes.
    
    Also removed erroneus deletions of said AbstractMetaTypes - they
    are kept in a cache and should be deleted only when the generator
    is finished.

commit f399ccd75bff7bb4880f0943b69a398dca5f15ef
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 1 17:37:37 2011 -0300

    Removed type resolver related generator functions.

commit aac5c3cd8f1476e60caa4da9aabef8a2a91b9bcd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 1 17:35:02 2011 -0300

    Remove occurrences of Shiboken::makeTuple from test bindings.

commit 2e39ac022309a4d88f31d5f6ca7c6319a31fa6b3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Nov 18 16:57:19 2011 -0300

    Removed useless register type writer function for enums.

commit 862dd8faedc56e2abdec43eb9ba12b495d368a87
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Nov 15 18:28:53 2011 -0300

    Added a convenience method to check if a converter belongs to a wrapper type.

commit df0ca8b2d02af3673960004e2ea547972ddf2b75
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Nov 4 20:01:33 2011 -0300

    Added adapter class SpecificConverter to provide type conversion based on a given string.
    
    Also added code to register a couple of type conversions by name,
    a bunch of related tests, and some fixes to the converter functions.

commit f189875436c5024fff6819aa9f2a651f48118599
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Nov 1 18:40:18 2011 -0300

    Added a "to Python" converter function that gets a SbkConverter object.

commit f7412abd308626809d7acb348d36ac905bd4c519
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Nov 1 18:37:57 2011 -0300

    Register enum converters by name.
    
    Also added unit tests.

commit 249b15aa297663da2def92c817298e9c543777a4
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Nov 1 16:17:01 2011 -0300

    Added some setting and converting functions to the new converter's API.

commit 8ff54f682c5dc478d268b9bf6e1e5768fc40428e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Oct 31 14:51:12 2011 -0300

    Added functions to the new converters API to check if a type is value or object.
    
    Comes with unit tests.

commit 9584b5a7c220e74c5181d6117f1833ac835cfb21
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Oct 28 17:56:24 2011 -0300

    Container types now register their converters by name.
    
    Added unit tests that query for the container types using their
    C++ signatures.

commit 180d72b79e530810b0f6d9c63dfa02c4fba383e8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Oct 28 17:11:15 2011 -0300

    Fixes code generation for typedefs of C++ primitive types.
    
    Added unit tests that query for the Python types using their names.

commit 670cde3115f372b70768f14cf19d236f0d019f99
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Oct 28 15:25:22 2011 -0300

    Register type converters by name.
    
    This way they can be queried as the soon-to-be-deprecated TypeResolvers.

commit 121373c06d6b99a6614c7577c17812dec2237895
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Oct 24 16:22:32 2011 -0300

    Fixed generation for enum arguments with default values when avoiding the protected hack.
    
    Also added an unit test.

commit c995a7d382e1a51b0898939e51ff18dabdac027d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Oct 24 10:58:46 2011 -0300

    Added the API exporting macro to the protected test classes.

commit b64c2001d14b8b1102af6b6029eb9c317e5d8008
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 20 19:56:48 2011 -0200

    Make converter branch work on a Python3.2 setup.

commit dc022d65ce87882fdf6add900038e957f399453b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 21 14:11:58 2011 -0200

    Fix crash in PySequence converters.

commit 4a05efa3768e572c72aea594506ca7ddd5639712
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Oct 21 17:22:36 2011 -0300

    Fixes SBK_CONVERTER macro and SbkEnumType structure.
    
    Fixes provided by Hugo Parente Lima.
    Unit test added.

commit b35f28ca167a5b8280ef37566966701f540b8933
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Oct 18 09:48:49 2011 -0300

    New converters for C++ enum and qflags types.
    
    Also removed a lot of unused and commented code.

commit 01acb23113d4a22eae474bcb9be30e4d661b505e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Oct 18 16:59:55 2011 -0300

    Updates std::list methods writer to use the new converters.
    
    Also added a couple of related unit tests.

commit 7dc999dab8eccfbee983206d70f7925fb1f629df
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Oct 18 15:48:24 2011 -0300

    Updated custom code for ByteArray's read/write buffer protocol.

commit c27cfbae2f17e93509eb527a198a922775213364
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Oct 18 16:23:38 2011 -0200

    Accept inject code as a way to deal with primitive type pointers.

commit 58665363412d5f43704d69440082fd8e87a23086
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Oct 17 20:07:57 2011 -0300

    Modifies HANDLE test to fix win32 linking problem.

commit 074f99759150eaa5e4adf8d501396a67fd370404
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 17 20:06:04 2011 -0200

    Added SBK_CONVERTER, a macro to get the type converter whatever the type, but primitive types.

commit 3baf8722684f09201b56f207a484d9c9c5e39822
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Oct 14 19:20:08 2011 -0300

    Fixed code generation for functions arguments that use object types as values.

commit 15e40bc3b44cef5bc0ae6ab614e5a93a477031c6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Oct 14 17:13:57 2011 -0300

    Created convenience method to tell if an object type is used as value.

commit bfc3b14b368c3069067e3316c43ad3653e35355d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Oct 14 17:00:55 2011 -0300

    Fixed code generation for functions returning object types as values.

commit 836ebb910f0dec27ae20f25dab4e9041780fccd7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Oct 11 18:04:08 2011 -0300

    Added unit test for bug 969.

commit f6128fb64a591afaa22ed82cc1419ffbbd991583
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 14 11:40:34 2011 -0300

    Stores C++ enum type names on enum types itself instead of yet another hash.

commit 9d2d5abbe17d825233ba6ad45bf1d28e8aca9bce
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 14 11:25:52 2011 -0300

    Don't call PyTypeReady on QFlags types in createEnum function, this is done when QFlags types is created.

commit 07359cb7e777e47b2d84d6ef0389f0c255281c04
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 14 11:15:29 2011 -0300

    Updates creation of QFlags types at runtime.

commit 7745b66a4a197be4615564c304fab264f4b58317
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Oct 11 18:58:01 2011 -0300

    Shiboken's enums now have converters.

commit 6e4789d62120ac99bc6abbd96ae1cd4cf378baaa
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Oct 13 17:29:54 2011 -0300

    Added a test for a typedef of a pointer to a struct.
    
    This is only a compilation test, no Python test was provided.

commit 59ed4b9d8952615d59614ba7b8e1ad51df433a84
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Oct 11 16:34:30 2011 -0300

    Fixed Python 2.5 compatibility header for PyLong_FromSize_t and PyLong_AsSsize_t functions.

commit 276eb948c371b08bdaf71c1571f20c61308d71da
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Oct 11 13:35:50 2011 -0300

    Fixes win32 symbol exporting for instantiated template classes.

commit d0ad52388ee2718c0c9b265ea78b2842f0a5a67f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Oct 11 11:11:34 2011 -0300

    Fixed generation when avoiding to use the protected hack.

commit 81530b3ecb04af77e96f56e1426669d0590c47a8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Sep 23 17:02:15 2011 -0300

    Moved some methods from ShibokenGenerator to GeneratorRunner.

commit 4d77535bba26186effaf65016a271df18863134d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Sep 22 16:36:07 2011 -0300

    Do not attribute a value for container variables, except when they have default values.

commit ff0b861b59b41387e771d9cd565e13de8b2750d1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Sep 13 16:32:47 2011 -0300

    Shiboken exits with error for not handled pointers to primitive types.

commit 0adc55471d864d307034dd995d6c70c18952b279
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Sep 15 18:52:16 2011 -0300

    SbkConverter's copyToPython function now returns Python None for C++ NULL pointer.

commit 78e516f87f62c930b552b0522c8c2a01f669a9d2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Sep 13 13:30:30 2011 -0300

    Added test for implicit conversion with primitive type.

commit f4800a705caacbbdada1074d5b5bfd1abf1316c3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Sep 2 18:49:49 2011 -0300

    Added test for instantiated container type used as primitive-type.

commit 7ae96ccd9b11f918b392accc7e5048c5c8905a0a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Aug 24 21:58:56 2011 -0300

    New conversions for containers.

commit b72430b834aee0d9bc4cdcd8442e336716d42db4
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Aug 23 11:35:07 2011 -0300

    Converter can be registered and retrieved for string representations of types.

commit 4d35b3ef170a00fe46c15f15f204dcc596297057
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Aug 16 16:03:21 2011 -0300

    New converters for C++ primitive types.

commit 6b2b4f0cf9157e044965acba63fb6b5ee1e9cf15
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 11 19:37:11 2011 -0300

    New converters for user added primitive types.
    
    Win32 fix for zero length type converter array.

commit b8bd47404fd3860bdb282750a1e5919921ca80df
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 8 03:29:21 2011 -0300

    Implemented new type converters, but only for wrapper types.

commit df0378d142c55fe63b89735e3dd8f14988893a3e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Oct 4 11:08:12 2011 -0300

    Added an enum test to libminimal.

commit 1291121270dea7f3fe807e21fe93db291d4f8d0a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 9 19:37:52 2011 -0200

    Fix Windows build of shiboken module.

commit cd110ab3f4f912e2f9e400909f2d3d90abbb9d60
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 9 19:00:11 2011 -0200

    Implemented PSEP 0106.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Paulo Alcantra <pcacjr@gmail.com>

commit 26e008d9b3135cdeedfb6cd2f36b3369d1fc7c71
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 6 19:49:36 2011 -0200

    Remove missuse of m_traverse function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit d285aff26db82f3af467f107272104db82d1bf52
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 2 11:14:54 2011 -0200

    Fix bug 1010 - "Shiboken Cygwin patch"

commit 853042aa0c2d295a6e0b0439edb0fde07b659abf
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Thu Dec 1 15:47:08 2011 -0300

    generator: function must return a value
    
    Fix msvc9 compile error.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Willer Moreira <willer.moreira@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit c97a88d7b397923a062150d4e25a799c0f2851ed
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Wed Nov 23 15:29:09 2011 -0300

    Fix BUG #1057
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 0d29fa4a50bfa1cf7720bb0ffc073838d85cd292
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Tue Nov 15 19:30:46 2011 +0000

    basewrapper: cleanups
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit caed911998b542620961b988b4fddf7654b89db7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 31 19:06:36 2011 -0200

    Fix bug 1037 - "shiboken fails to build against python 3.2 (both normal and -dbg) on i386 (and others)"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 2b677ef0eb94f15b257f7a6ccf7e9447c32d36b9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 28 17:23:56 2011 -0200

    Create qflags at runtime.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2a5330b26469914db917c019b97b5966e4f26014
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 28 15:22:20 2011 -0200

    Fix bug 1033 - "QDialog.DialogCode instances and return value from QDialog.exec_ hash to different values"

commit 05aae9a59e9dbc8eec6eb33f86df8de4de71cc67
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 28 15:12:19 2011 -0200

    Fix bug 1013 - "connect to QSqlTableModel.primeInsert() causes crash"

commit ebbc17b83cedcd5e41a402bef8ab294c2e9b0152
Author: Yaakov <yselkowitz@users.sourceforge.net>
Date:   Thu Oct 27 14:53:31 2011 -0200

    Fix bug 1010 - "Shiboken Cygwin patch."
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 18dca4b184bff9978992f728ead0c25658d95071
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 27 14:48:21 2011 -0200

    Version bump to 1.0.10.

commit b7cac57f40cd7fa990d98a6e7dad81ed266cece9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 20 19:58:11 2011 -0200

    Bump version to 1.0.9.

commit 47c50216cc722fa88fffd14539e101bffb9ebea6
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Thu Oct 20 19:42:28 2011 -0300

    Fix regression with enums.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit 84f15f4239715a0cb8c3c61bb3819db5e0285483
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 20 13:53:47 2011 -0200

    Fix ABI break and link error on MS Windows.

commit 77664040fab3aceab972e66a7cc1f6af6adc1528
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 20 11:38:30 2011 -0200

    Version bump to 1.0.8.

commit faacc898e03e239d6f76ab18ae4cdb4805525b28
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 17 17:15:37 2011 -0200

    Don't delete parentInfo when it seens to be useless to avoid crash on garbage collector.

commit ba1e6dfea28a472e4137984581ac96c7486c89b7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 17 15:02:08 2011 -0200

    Add constructor overload AutoDecRef(SbkObject*).

commit 42e73675311c4ef43361865fac2b467680ac366d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Oct 17 10:50:04 2011 -0300

    Fixes writeReturnValueHeuristics to not mess with constructors.
    
    Also fixes isWrapperType to avoid erring when the type is an
    object type passed as value.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit fec8b8974eaba911ab8659cae3d651be9f27c757
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 14 15:26:21 2011 -0300

    Fixed code style on sbkenum.cpp
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 980f4119e332f6eff936b5061bb9a2bc28923e89
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 14 15:24:13 2011 -0300

    Fixed regression that made enums not hashable.

commit 0b1b29bf42271754657ec6b73471f59b38f9e462
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Oct 11 09:59:03 2011 -0300

    Made SbkChar_Check macro safer with parenthesis.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit bf52cec4e9709071ac8eab5b88282fcae6b08553
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 10 16:03:41 2011 -0300

    Fix PySide compilation with Python 2.5.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 13c40649f9cc6011df5fe460aa6f2bf2c4e59b8e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Oct 10 11:42:58 2011 -0300

    Removes printfs and fixes str test.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit b63fb5b842459170647eba9036fda522ef251b23
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 6 20:44:40 2011 -0300

    String::convertible renamed to String::isConvertible.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 251284d5be98d3648df76933b8155e7ab3a80198
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 6 19:05:42 2011 -0300

    Added new line to end of shibokenbuffer.h.

commit 45ae3858fda50a73556b2a67f0f4d42562c7ee5f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 6 18:43:32 2011 -0300

    Small changes to sbkstring.cpp.

commit 6ab58b767993ccac1de9fe6bf43983bbf75d72d1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 6 18:03:50 2011 -0300

    Use sbkpython instead of Python.h.

commit 0bdb5f609941bc5faaf5002fcaa5c2020dcf829d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 6 17:35:10 2011 -0300

    Add macros to kept python 2.5 compatibility.

commit 7d8ed0c40f5f3144694ce5fbecad006652169285
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 6 18:49:14 2011 -0300

    Avoid string variable to be used unitialized.

commit 8d819060e031499119e6bb0ee8af6c4059a019dd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 6 15:52:05 2011 -0300

    Fix detection of Python2 on system where "python" means "python2".

commit c05a81d41fad2a08a1af2557c70f96f7ede03029
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:33:29 2011 -0300

    Removed invalid test.

commit d295b8da7ca28d08a31cc7e9338b57f889e998a1
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 10:54:11 2011 -0300

    Fix string.

commit 56e713fd3ca68fe2fc615426469fe7a0e209c3ed
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Oct 5 19:33:37 2011 -0300

    Fixed char conversion to work with both python 3.x and 2.x

commit f10f587d43a27500540bee7ae4251a78a4a444a2
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Oct 5 19:33:12 2011 -0300

    Fixed object destruction.

commit fea5022ce62c637b03b5f8d9c2d91ca8d706358b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Oct 5 19:32:46 2011 -0300

    Fixed shiboken buffer to work with python 3.x

commit 18e8f69fad1acb261080388531beec6a68d310b3
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Oct 5 19:32:08 2011 -0300

    Updated str test to work with both python 2.x and 3.x

commit 480fea82870d311ae474cee7f5931c82dd08a3a8
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Oct 5 19:31:40 2011 -0300

    Fixed compat header.

commit 26e1ee103d1fdec28751acd09664fe6afabc2439
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Oct 5 19:31:11 2011 -0300

    Fix python 2.x generation.

commit 47d101967ce384752af1a21859ecff6eb42078f7
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Oct 5 19:30:45 2011 -0300

    fix shiboken enum.

commit adefbf0bb47a92dd8282ff1a1af57af1280c728d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Oct 5 19:30:09 2011 -0300

    fix string class.

commit a1295af4fbb91fb3e416a58a80926278354279dc
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Oct 4 16:09:15 2011 -0300

    Updated shiboken generator to works with python3 code.

commit 7cc329679e14a00b699e944f733cda2ffbb3854f
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Oct 4 16:08:45 2011 -0300

    Updated char conversion for works with python3 unicodes.

commit 301f46c17c26aab4698d5dce76949fec9c31e746
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Oct 4 16:08:05 2011 -0300

    Updated Shiboken python version compat header.

commit 5a5ab030e94ca2b682e5ff48a168ca64ef69812f
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Oct 4 16:06:58 2011 -0300

    Fixed Shiboken::Buffer implementation for python 3.

commit 181a0e9d43c7a95bf78dd0269b357ed4f5ade2a3
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Oct 4 16:06:02 2011 -0300

    Updated Shiboken::String functions.

commit 3de584066e350e4b8cf269e5a3729a0d319f9ce3
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Oct 4 16:05:24 2011 -0300

    Replaced use of PyBytes_AS_STRING to Shiboken::String functions.

commit 0d2b0a21ed96719ad45e5bf9da799aef71863f48
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Oct 4 16:04:37 2011 -0300

    Update enum implemantation.

commit b9ab302dd7aff3ecbbbc7ffe1ef2ef0bf4956a5a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 28 17:55:54 2011 -0300

    Fixed tests to work with python3.x and python2.x

commit 6b21c2fa5eeb6a7c7b6533f1c966a47d8ef07e69
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 28 17:55:19 2011 -0300

    Fixed regressions caused on python2.x.

commit e5e92df4a71ec01cbe849907b7113f0f65eb5163
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 28 17:53:49 2011 -0300

    created py3k file to make tests compatible with python3.x and python2.x
    
    This file is necessary due some problem with syntax generated by 'file'
    named argument.

commit 5c3e73b48f8d9b2fb0f1b5abef10df3736a93f68
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 28 15:49:53 2011 -0300

    Create Module macro compatible with python 2.x and 3.x.

commit 7681b23a5c4fb578ec050f65945bfe87c37c36e5
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 28 15:49:29 2011 -0300

    Updated Shiboken::Buffer API to Py3k.

commit 274c66a017891b6c2f01c159929e9849be1407e7
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 28 15:46:52 2011 -0300

    Implemented support to py3k on Shiboken::Enum.

commit f0aa20eda397c9e734ced759634031f77662c0de
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 28 15:46:13 2011 -0300

    Updated enum_test for support py3k.

commit 52fdebcb0b3822180a374ee821f3503d746656c1
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 28 15:48:27 2011 -0300

    Update string usage to new Shiboken::String API.

commit c6b9bb836c98a6bcf922ad6ad4dda60e3383d41b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 28 15:45:27 2011 -0300

    Created Shiboken::String API to support py3k.

commit 26672bda4a67e69c81b8a385d222d56419f286ff
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 28 15:41:11 2011 -0300

    Fix CMake FinPython3 script.

commit 2d47b4ec2e4f8119b11cdabe0e56ca55152c120d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Sep 23 18:11:27 2011 -0300

    Fixed duck punch unti test to work with Python3.

commit 3534d8d0a7dc65f6fb8110abbaf570b70d729584
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 14 15:30:16 2011 -0300

    Updated CMake to find for python3.

commit 701466409c3c13ae4573bf73957f6a874ce5ccbf
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Sep 23 14:32:01 2011 -0300

    Create SHIBOKEN MODULE INIT macro.

commit d27ed2fea367d787aa7319531d1df1bbd6739e71
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Sep 20 19:34:40 2011 -0300

    Added py3kcompat.py to test suite to make tests pass on Python3.x and 2.x.

commit ee15e0606a2abccb7374e82fd7cd8c70e128a1df
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Sep 21 17:22:46 2011 -0300

    Fix getattro function on Python3.

commit 5d6f2193395afab85e444b61761484197d45a93c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Sep 20 19:32:38 2011 -0300

    Added SBK_PyString_FromCString and SBK_PyString_FromFormat as helper macro for Py3k port.

commit a2d5bb825977e1f7952a89c64ed2e6e307ae1f78
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Sep 21 15:14:22 2011 -0300

    Correctly prints the return type of virtual functions instead of a C++ expression.

commit 23162dccb763c81f762ea5e0ec60b3931fe5b5f1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Sep 21 11:25:48 2011 -0300

    Fix converter of std::map.

commit 2d8f8d8ac79bc6f266564afd7d0ffe702a7cdf58
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Sep 20 19:29:12 2011 -0300

    Fix SbkDbg() << PyObject on Python 3.x

commit 0b1f8df512047c6ace60701180ec1e4f6e97484e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Sep 16 18:24:56 2011 -0300

    Port module initialization to Python3.

commit cbfebc05a591a2370c3fad044e7a45a305c8ba4a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Sep 16 18:23:51 2011 -0300

    Use PyBytes instead of PyString on generated code.

commit 2cc05efe4c28c90d5dd6126d251f5ca9a9ebde07
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Sep 16 18:20:50 2011 -0300

    Use ErrorCode class when writing enums.

commit fd5dd85d0d0dcc4faaf3a1ca5bd6a5df857f7844
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Sep 16 14:27:32 2011 -0300

    Port libsample typesystem and glue codes to Python 3.

commit 9785f258d93b4976872a17fbf61bd27a4c4123cd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Sep 15 19:10:22 2011 -0300

    Port Shiboken buffer interface to Python3.

commit eea010d0beeffed9c448111aba914f71e0018954
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Sep 15 18:39:51 2011 -0300

    Use PyModuleCreate to create modules under Python3.

commit c8aebee93e58d6a07de6dcd7f24a96799e284dcf
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Sep 15 17:49:50 2011 -0300

    Use PyVarObject_HEAD_INIT instead of PyObject_HEAD_INIT.

commit 6bf564204fe977dccf94ed58ddea7fd5eaf4a1fa
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Sep 15 15:26:40 2011 -0300

    Using Py_TYPE macro instead of direct access to ob_type to work with Python 2.x and 3.x.
    Enclosing PyCObject uses inside #ifdefs

commit 24206196a34b4faeb4b720efcc84747f35accf94
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Sep 14 15:44:01 2011 -0300

    Added sbkpython.h to deal with conflicts and missing symbols  between Python2 and 3.

commit dfd3c75a8ba6bc8a1ac42909d96bc6d4c11c6bd7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Sep 14 15:25:11 2011 -0300

    Replaced all PyString_* by PyBytes_* as preparation for a Python 3.x port.

commit 31c44fea50380513bdc16d58891ba9e5ba7ecc31
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 21 11:33:37 2011 -0300

    Version bumped.

commit db9874a33cfb35d639b9ddf5347d7c60d5647b9a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Sep 20 18:21:12 2011 -0300

    Fixed invalidate function in objects with refereces to other objects.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 4e17f2620f10677e09b9cb93c7ba8efa703b158b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Sep 16 14:29:25 2011 -0300

    Revert "Implements PSEP-0106 and fixes bug 902 - "Expose Shiboken functionality through a Python module"."
    
    This reverts commit bc8448d7fb91733ff08c2a6a3a878702c14a24e0.
    
    The PSEP didn't reach the final version yet, so this commit can't be released.

commit c686942f6efbac4ac43cf859bfdd2c7209b783ea
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Sep 13 17:43:16 2011 -0300

    Fix bug 995 - "QDeclarativeView.itemAt returns faulty reference. (leading to SEGFAULT)"

commit 987010cb2c5740bf1cb7af54b2c6dc3142c44805
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Sep 8 15:03:55 2011 -0300

    Use internal dynamic metaobject insted of created by pyside.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9040f2afccd26647071a8f1753370f6935408231
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Aug 30 19:28:53 2011 -0300

    Safer type index define line generation.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 472aea289e7e036202e645f98528f3bfc1bdfd4b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 30 16:14:02 2011 -0300

    Created unit test for cyclic dependency.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit d9e3c8899f80eabafed3cc03ea9d6ecdf38396b8
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 30 16:12:14 2011 -0300

    Fixed cyclic dependency resolution.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 711c0db5734dabc8473deb08d8de59224c31509b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 30 11:20:46 2011 -0300

    Fiexed default  __repr__ function generation.
    
    Fixes bug #991.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9c1db342e06fee686f7e8268704741329ccf6b2e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Aug 5 17:18:05 2011 -0300

    Documentation for shiboken module.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 784a4bbb707d132b26bcb177521745575dc0823f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Aug 4 16:10:34 2011 -0300

    Implements PSEP-0106 and fixes bug 902 - "Expose Shiboken functionality through a Python module".

commit 8b1ddcd3ef711bab70bb7cdebc26558a26f42df9
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 26 14:55:03 2011 -0300

    Implmented support to q_metacall function modification.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 26c49c0b87e0efc065bcb7667aad71231f769028
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Aug 22 17:47:56 2011 -0300

    Version Bump.

commit 126d5e91482f4951a327ef6dfd766ea41c0a4658
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Aug 22 16:05:38 2011 -0300

    Not print warning if the typedef used on signal is QFlags.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 7f5a81448b4a9f1516bf3989c8faa16f38162f2b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 18 23:42:34 2011 -0300

    Centralized the place where the TypeResolver creation is written.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit b9dba4ed938302740b4ea7ea2d4824518077444e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 18 23:10:24 2011 -0300

    Creates type registers for enums in createScopedEnum and createGlobalEnum.
    
    Instead of generating the register code.

commit e5fb8ee50dbcb0eab68260efe95c985ddc979e00
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 18 17:00:32 2011 -0300

    Fixed generator to consider conversion rules for the return type of wrapper methods.
    
    Tests were added.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit b7169ca7fe92c5874076ff47f9b4ec7954acc480
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 18 13:12:09 2011 -0300

    Added a test case for a bit-field structure member.
    
    Also moved a couple of tests from samplebindings to otherbindings.

commit 4f782f5d0f97633261690a19de7dfa62eeec2741
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 15 22:33:31 2011 -0300

    Added a test for an user defined primitive type from a required module.
    
    Also sorted the tests order alphabetically and fixed inject code for
    SampleNamespaces' passReferenceToObjectType method.

commit 9c5a9169cf0d710fe4cfab305e096623d8cbdaaf
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 15 17:19:54 2011 -0300

    Added test for typedef of unsigned short.

commit b148ca6f876030a41ac7556ec5be2a7374e86bd5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 15 15:37:36 2011 -0300

    Added test for user defined primitive type used as public class field.

commit ba27bc0dd1beeb1f088a4b76395432a358d82c2c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat Aug 13 12:04:07 2011 -0300

    Added test for implicit conversion with user's primitive type.

commit 91a2dbd2e84e653ba0e0b36f4c46bfc23014e29b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat Aug 13 11:51:52 2011 -0300

    Added a method modification test dealing with code injection and user's primitive type.
    
    The inject code has a %CONVERTTOPYTHON that receives an user's primitive type.

commit e5d7ccddfee37eb10e3c594f96bdddb49864c340
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 11 09:50:01 2011 -0300

    CppGenerator's writeCopyFunction method now uses cpythonToPythonConversionFunction.
    
    The new overload of cpythonToPythonConversionFunction, that is.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 81307ef0b1255143e2eb560bc80d80d9dda796ed
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Aug 10 17:50:36 2011 -0300

    CppGenerator's method writeReprFunction now uses writeCppSelfDefinition.

commit a6eb186fa5a349af171295d0ea9d60c4aec049b3
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 12 14:50:44 2011 -0300

    Check for NULL pointer on transferOwnership function.
    
    fixes bug #965.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 593b6345a8906b043d854a57bcb84a55f3955340
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 10 17:12:40 2011 -0300

    Mark deprecated functions as deprecated.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit ac626ce3684ec42c56ab44dccc92fd2022ba5d7b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Aug 11 10:24:41 2011 -0300

    Check for python debug enviroment to print debug messages on
    typeresolve class.

commit c7713d00f71e96f33ca25e2152cbec8907dcf80e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 10 16:10:10 2011 -0300

    Implemented unit test for deprecated functions.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a1a8ea866cb039854190da70332717e816908d65
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 10 16:07:13 2011 -0300

    Functions marked as deprecated will raises a python warning.
    
    Fixes bug #873.

commit 9c6b541ceef3039e9e19a1d9a12223851a849cf6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Aug 10 00:59:19 2011 -0300

    Improved the generation of argument conversion in modified functions.
    
    Added the SBK_UNUSED macro to libshiboken to prevent compilation warnings.
    An unit test was added.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 711ee3d4169acca59b87df61b9ccb26d74a329b4
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Aug 9 17:35:20 2011 -0300

    Improved type system converter variable usage in the sample test binding.
    
    ShibokenGenerator uses qDeleteAll for the cached meta types.

commit 313c6906077cd94311fb09cbaf5a6194eb87c756
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Aug 9 16:43:55 2011 -0300

    CppGenerator's writeHashFunction now uses writeCppSelfDefinition.

commit 8cbeb5c0305b6d81ae8fd7ab16aaf94e16d80389
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 10 13:05:14 2011 -0300

    Removed last js files.

commit 9eee51f91bb72735e8d4bb5b9ecca9e4aa00a740
Author: Didier Raboud <odyx@debian.org>
Date:   Mon Aug 8 13:32:35 2011 +0200

    Update pysidedocs theme to rely more on sphinx's base theme:
    
    - Drop files that are redundant with sphinx.
    - Add _templates/layout.html to add the needed customisation.
    - Update theme.conf to ensure theme inheritance.
    - Update pysidedocs.css to fit the theme with sphinx's basic theme.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 6a12afd5cb3e0b7deec82147263e8f57bd18124a
Author: Didier Raboud <odyx@debian.org>
Date:   Mon Aug 8 13:31:19 2011 +0200

    Drop superflous .directory file.

commit 669fd4076b4c5ff13f89a5b9e04288db941b7efa
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 8 21:55:57 2011 -0300

    The type system converter variable replacement was moved to a single method.
    
    Such a method is safer than the previous that used only a regular
    expression, because now it tries to build a meta type for the type
    found in the user's custom code.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 07048428fd2db051b0ad27c590ecf52ab4678f79
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 8 21:10:38 2011 -0300

    Moved functionality from a couple of write function to ones that return strings.
    
    The methods writeToCppConversion and writeToPythonConversion now use the
    services of cpythonToCppConversionFunction and cpythonToPythonConversionFunction.

commit f02e7bd726a5560542e7c078b925f289a9d6a75d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 8 19:15:54 2011 -0300

    Method buildAbstractMetaTypeFromString now uses a cache for the types it builds.

commit 05e7ecede5304ee56a805c7b5a10d3df11cf8952
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat Aug 6 17:10:54 2011 -0300

    Added tests for a class that its only constructor is the copy one.
    
    This simulates a situation found in QtWebKit's QWebDatabase
    and QWebSecurityOrigin classes.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 6bd9d58b31cabedbce5131548d2447341df76e21
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sun Aug 7 16:04:40 2011 -0300

    Improved the generation of type indexes written to the generated module header.
    
    Now classes that are typedefs to template class instantiations are
    written twice with the same index: one with the aliased name, and other
    with the name composed of template and template arguments.

commit 6f46f59f67c0d90fa184d9baf0c7a3f29d9e9865
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat Aug 6 23:13:56 2011 -0300

    Added tests for classes that are typedefs that implement a template class.
    
    This simulates the situation found in Qt's phonon module.

commit 714ddb6c74b4db4853ca2e34bb50f2888e75ec8d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat Aug 6 17:28:00 2011 -0300

    The type checking now pays attention to the <no-null-pointer/> tag.
    
    An unit test was also added for it.

commit 8794f303c16f67812093d0311530b4447ff5c94c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat Aug 6 14:29:24 2011 -0300

    Added an unit test to check if derived type destructors are freeing memory twice.

commit ceb721ca252e6ed71ae85df00b7b4727aca630f7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat Aug 6 12:02:29 2011 -0300

    Test's names now have their module as prefix.
    
    So they can be ran by module.

commit e19d6475f600b27ea878a8d5e6dc5f599820c842
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat Aug 6 11:12:09 2011 -0300

    The result of rich comparisons are stored in a return variable before converting them to Python.

commit baf2a5bf56620134d751b54a514159221d4e11d4
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Aug 5 23:44:23 2011 -0300

    Added a test dealing with a reference to an Object Type passed to Python.
    
    The test is for an Object Type that didn't existed in Python and is
    passed to it as C++ reference through a virtual method.

commit 50aef1dd4836b5019c60d31c54501ebcd37f72cd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Aug 5 13:55:56 2011 -0300

    Improved guessCPythonCheckFunction method to produce an AbstractMetaType for known types.
    
    This is in opposition of simply returning a string with a custom type
    check. The details are in the docstring in ShibokenGenerator header.
    
    Also added a new modification test and refactored here and there in the
    sample binding type system.

commit 08f29f0d8f456eb1f994b05c21fd04468c95329c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 4 17:31:48 2011 -0300

    Included tests for added function signatures very similar to already existing ones.
    
    Specifically this causes the situation when there is in C++ a function
    with an argument that is a reference to a Value Type, and the user adds
    a very similar function with the same type, but passed as value.
    
    Example:
    C++  : function(const TYPE& a, int b)
    Added: function(TYPE)
    
    The return type of ShibokenGenerator::getArgumentReplacement() method
    was modified, because the argument object is more useful than its index.

commit eda3572089e71e0c5065831438c4999486838547
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 4 12:18:02 2011 -0300

    Added tests for custom conversion and buffer protocol.
    
    It it inspired by some of PySide's QByteArray tests.

commit 19713b8e3f7e9ba04653b3b4beff5cc26408af44
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 3 17:15:58 2011 -0300

    Don't abort header generator if no classes were found.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 8fe6b9a5390b8e5668df0fd6aee9b2c4c71264bf
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 3 17:14:25 2011 -0300

    Check if the directory exists before writing C++ module definition file.

commit db0faf27e147b1cc5902f5a42fc4eecccb07539d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 3 17:13:40 2011 -0300

    Removed huge if block to ease the code readbility.

commit f2e0002c8ebc7a68fca731bfbde1d32415f5a240
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Aug 3 14:35:35 2011 -0300

    Fixed type system variable replacement for arguments removed with conversion rule.
    
    Also added an array argument modification test, and moved
    AutoArrayPointer from libpyside to libshiboken.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 699f6db172df37631dec7a884a25df8cc62343b8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Aug 3 10:58:09 2011 -0300

    Small visual improvements on writeArgumentNames().

commit f9e9189be4b622b74d0df2787a09f93fe7a5d0ae
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Aug 2 17:01:40 2011 -0300

    Disassembled ShibokenGenerator's writeCodeSnips method.
    
    Also added writeConversionRule methods to CppGenerator.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 3e8c945bdc731fb7c9eaff0007abc02bfa1e5c37
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Aug 2 13:41:37 2011 -0300

    Added compilation test for value type argument in a lshift operator.

commit 6bb2780c978d93b6ebe7b423adda27e4292467f2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Aug 2 13:06:58 2011 -0300

    Added test for removed pointer out argument.

commit f3b6eeccd43fc8b81bb7fe48424b6f4c6e4e454d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Aug 2 00:41:36 2011 -0300

    Removed unnecessary indentation from generated overload selector switch.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit cfcae8d657cb7d13acf2de753bd0e6db117e27f7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 1 19:03:26 2011 -0300

    Improved and fixed the setter and getter writer functions.
    
    Also added an unit test to a protected container property.

commit 22c7b2e24212b41fc941121f8df83eb238f8e0d3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 1 12:57:44 2011 -0300

    Moved many variables names used in generated code to macros.
    
    Also fixed ShibokenGenerator::pythonFunctionWrapperUsesListOfArguments()
    method to consider call operators. Fixed code snippet variable
    replacement for when there's only one Python argument in the function.
    And CppGenerator::writeArgumentsInitializer() was sanitized, with never
    used code erased.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit bb95046f7cb7a06e52bc5e6f3cb9eff4271ecbf0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 1 00:03:07 2011 -0300

    Revamped the virtual method writer.
    
    It's way less messy now, and uses writeTypeCheck() as it should have
    been doing from the beginning.

commit 967961a9d3e96854d256206bb813ab3bde4409c3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jul 29 18:50:11 2011 -0300

    I rewrote generator functions of type checking strings in ShibokenGenerator.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit e05e6ef74efbfef002b98b64ad4d1105bcef2ad5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jul 29 15:41:23 2011 -0300

    The rich comparison function writer now makes use of the C++ self variable writer.
    
    That was the last one.

commit 5afdf1fae25fdb7f8e090c24d6526dccbba18e21
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 21 21:48:21 2011 -0300

    Added functions to provide a cleaner enum and flags initialization.
    
    The functions are:
    
    Shiboken::Enum::createGlobalEnum()
    Shiboken::Enum::createScopedEnum()
    Shiboken::Enum::createGlobalEnumItem()
    Shiboken::Enum::createScopedEnumItem()
    
    Also updated the generator to make use of them.

commit 808c7b33fe6aafc81c58ec4850c0e30dcfbd91e9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jul 29 04:46:18 2011 -0300

    Added the ErrorCode helper class to handle the current error code value.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 3c39aa5f2e05ad34e67f07b2f7262f419f9ce3b6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jul 29 04:23:51 2011 -0300

    Moved the generation of Python result error checking to a single function.

commit 4e839b8209e31ea48b264622240b3c4939e6cefd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jul 29 03:51:14 2011 -0300

    Sanitized CppGenerator's writeToPythonFunction() method.

commit 6af928412c947d219f8a04258301e685826934ef
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jul 29 03:43:52 2011 -0300

    Modified the generation of 'nb_bool' functions to use standard functions.
    
    Instead of writing everything on its own.

commit 29183ffe770ff7738c5eebc5480ca956c4fe086f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jul 29 03:17:02 2011 -0300

    Improved coding style in the terrible writeStdListWrapperMethods method.

commit 34395eeb8c57f2225c7f20b9e20f9d92f2131ce7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jul 29 01:48:02 2011 -0300

    Added a method to retrieve a function's argument type
    
    The method in question is CppGenerator::getArgumentType(), and it
    resolves any type modification made in the type system.
    
    Also remove an unused convenience method for writeArgumentConversion,
    and unused variable on rich comparison writer function.

commit 0c99d3754d54cf9f9e6f8c7c608534bdcad4a3e3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 21:47:20 2011 -0300

    Improved the code of two code generation functions for better readability.
    
    The functions are
    
    CppGenerator::writeRichCompareFunction()
    CppGenerator::writeOverloadedFunctionDecisorEngine()
    
    In the case of the last one, the generated code was also improved.

commit 5be3f5a158bfb3eee8c7cdaeb8184ec3f4fd910c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 21:13:09 2011 -0300

    AbstractMetaType builder now calls the metatype's own 'decideUsagePattern' method.

commit cf50a5397686f5d9b39c34eec0fa5cd13348c76b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 20:05:41 2011 -0300

    Renamed argument of ShibokenGenerator's getTypeIndexVariableName() method.

commit 8f86bd422a59b9f2f3460a657da196725b3356f2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 19:49:28 2011 -0300

    Centralized the generation of global and class enums in one method.

commit c992fc0ce7eb6a2f31134328d8aa80aeabaafe97
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 12:00:15 2011 -0300

    Created a method to generate method wrapper variable initialization code.
    
    The contents of the new CppGenerator::writeMethodWrapperPreamble()
    method were moved from the writers of constructor and method wrappers.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 1eee074d77f6c612a7644aea7b17d7a0128806cc
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 14:43:23 2011 -0300

    Fixed writeBaseConversion method to handle references to C++ primitives.
    
    Added test for a reference to integer as a function argument.

commit 454efd2e01c06832bedc89a93e139dd6f011a296
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 04:31:35 2011 -0300

    All Python to C++ conversions were moved to CppGenerator::writePythonToCppTypeConversion().

commit 767e21c15eb9a400fb43eda35fa3aea01330e8b6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 03:32:16 2011 -0300

    More readable code on CppGenerator::writeVirtualMethodNative() method.

commit f50a2b5841d63ddaef3195a29bfe3e07de91157a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 03:10:39 2011 -0300

    Improved writeInvalidPyObjectCheck() method and updated generator to make use of it.

commit dbdcbdffa21b754faf6bab309126684427df7ac6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 00:51:45 2011 -0300

    Improved readability of CppGenerator::writeCopyFunction() method.
    
    The indentation, and everything else about it, was terrible.

commit 0eb50de5faccf1a87f6f4686c8e214dcdb677aa5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 00:50:00 2011 -0300

    Improved CppGenerator::writeCppSelfDefinition() method and its use.
    
    Now anyone wanting to get a cppSelf object must go through this method.

commit 9e55726d0b7abf8daf41319ec34db6dceb834b30
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 00:36:21 2011 -0300

    Removed signatures without definition from CppGenerator header.

commit 40b7e0c83b76a208117f5fd4c0c3b850beb3d889
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 00:30:00 2011 -0300

    Removed unused parameter from writeInvalidCppObjectCheck().
    
    Also removed the default value for a more explicit use of the method.

commit 849c246c1e459ddeb545b5a4520365fbb803bf55
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat Jul 16 17:15:09 2011 -0300

    Added a function to initialize a new wrapper type and add it to a module or enclosing class.
    
    The class register writer was updated to use the new
    ObjectType::introduceWrapperType().
    
    Types are now created and registered via the introduceWrapperType() function.
    I also did a little refactoring on CppGenerator::writeClassRegister.

commit 5d61dc4c2d080c1e843d8958169c924c8b31f4de
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat Jul 16 17:31:08 2011 -0300

    Introduces new API to create and import Python modules.
    
    The Shiboken::Module namespace also provides management of module types,
    including the communication of types among dependent modules.
    
    Module::create() will call Shiboken::init(), so this can be removed
    from the generated module's source code.
    
    This deprecates the old Shiboken::importModule() function.
    
    The generation of module initialization code was updated to use the new
    Shiboken::Module functions.

commit a456b8d969eb81331cf35cfbfab8690072bae692
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jul 25 16:56:36 2011 -0300

    Added test for a typedef to a primitive numerical type.

commit 68c8d2a8f047d0dc8384c701af49a6c6205917ed
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 21 16:49:08 2011 -0300

    Moved writeMinimalConstructorCallArguments() functionality to Generator Runner.
    
    Updated tests' type systems to reflect the behaviour of
    Generator::minimalConstructor().

commit 3fb03a226e59b15c4c33dc824749ceb8b18b65e8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 21 14:25:44 2011 -0300

    Moved the methods isObjectType() and isPointer() from ShibokenGenerator to Generator Runner.
    
    They were needed by other methods in the Generator class.

commit 922a9a1f7d4cb6a1387cfb0aafe8f41e0c71b42a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sun Jul 24 14:23:46 2011 -0300

    Fixes ShibokenGenerator::isCString(type).

commit c3144c3fe91a6d069d849eecd46ead0828175b58
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sun Jul 24 19:03:18 2011 -0300

    Moved an enum tag on 'sample' test binding to a better position.

commit 0342513031e1c33d680c891a6c0bb74fc99e329d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jul 27 19:25:39 2011 -0300

    Moved some type system variable replacement to their own methods.
    
    The new methods replace the contents of the following type system
    variables:
    
    %CONVERTTOPYTHON
    %CONVERTTOCPP
    %ISCONVERTIBLE
    %CHECKTYPE
    
    The replacements were part of the ShibokenGenerator::writeCodeSnips()
    method.

commit d59f29f9d51928ab96dd65953e791d658156b312
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 21 04:45:56 2011 -0300

    std::auto_ptr is safer than relying in an if clause at the end of the code block.

commit d670e94717bcd433690eda116afd4d18234e029a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jul 27 19:26:11 2011 -0300

    Fix bug 941 - "Signals with QtCore.Qt types as arguments has invalid signatures"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit bb4ad5329db5b716e9ff99585d40cd233e778ab9
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jul 27 14:11:18 2011 -0300

    Check for PYTHONVERBOSE enviroment var to print debug message on binding
    manager exit.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 3a560e6b1efac44af56338cbf72f9fa0d32920c5
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jul 22 14:50:40 2011 -0300

    Updated apiextractor version dependecy.

commit 7c771c8e67993f59fe05227a37384fd75ed34c37
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jul 19 17:36:08 2011 -0300

    Used SignalManager function to retrieve MetaObject
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit ec454186de25a3a032e7cbf965511913f0b23040
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 21 14:28:55 2011 -0300

    Fix bug 939 - "Shiboken::importModule must verify if PyImport_ImportModule succeeds"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a410f0533e918b3478d2d1cd421f2d273e57fb24
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jul 20 11:11:03 2011 -0300

    Added a build option to compile and run only the minimal set of tests.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 419851922f8b12b0d93a6ce1f884f6975c1adfd7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jul 20 10:34:02 2011 -0300

    Check if need to use placement new for types that inherits QObject due to QML (qmlRegisterType) function.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 3e899a5e657b0f3a6bc38e788fc89c76c8962f47
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jul 18 18:04:19 2011 -0300

    More convenience functions added. More refactoring. Code more readable.
    
    ShibokenGenerator::isPointer()
    ShibokenGenerator::isWrapperType()
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 3016b0de40d93de2ca3eb690c1ae96529643f26a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jul 18 16:22:21 2011 -0300

    Added convenience functions to improve code readability.
    
    Checking if a type is an Object Type is a very common task, followed
    by asking if a type is a pointer to a type that has a Python wrapper.
    
    These functions solve the problem:
    
    ShibokenGenerator::isObjectType(type)
    ShibokenGenerator::isPointerToWrapperType(type)
    
    I refactored the generator code to make use of those functions.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 742fc4d4b723425a2d8ee1bea12116521d528c96
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jul 18 13:40:55 2011 -0300

    Fixed typo in generated code.

commit e205a94df825fd6becf5ff7514ae9d40ddc7f456
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jul 18 15:29:21 2011 -0300

    Improved documentation on ObjectType's cast related functions.

commit 553cfa3fd5d49fbcf2e143c19eabeb25129389dc
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sun Jul 17 22:39:24 2011 -0300

    Improved code readability in CppGenerator::writeVirtualMethodNative.

commit 6f93e0a82d8b0480e0bb5dd1b19b621777bed238
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jul 18 09:52:14 2011 -0300

    Improved minimal binding test passing a None value where an object type pointer is expected.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit b6fa93c405059cdf43ada7b6fc935462871abd09
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat Jul 16 11:55:13 2011 -0300

    Replaced trailing space by a period in documentation comment.
    
    Also removed other trailing space elsewhere and fixed some typos
    in the comments.

commit 96bd943d57b1864d1f5e7359b100c67d01934619
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 14 15:25:04 2011 -0300

    Propagate default args modification during the overload data descisor.
    
    Fix bug #919.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit b8611fcb1b7a4a1237c0025e5d57dd364d17ceae
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 14 15:55:56 2011 -0300

    Fix bug 929 - "pkg-config files do not know about Python version tags"

commit fe18fa07c473af4f4b3886efa8d6f1fb5fe9d8a5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jul 11 14:16:18 2011 -0300

    Write type indexes in an ABI safe way.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 2685383e5094222bc535db465b411abae967a883
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jul 11 14:15:28 2011 -0300

    Fix samplebinding warnings suppresions.

commit 4f608fdc057642f2d84276458a6444e9eff79bd2
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 11 11:07:14 2011 -0300

    Fix enum qMetaType register.
    
    fix bug #886.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 6032293a4f357ccccd57ea96bb74b55254faed59
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jul 6 19:41:25 2011 -0300

    Make sure register QMetaObject before QObject.
    
    Remove all staticMetaObject form know types.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit db280f75a04ce9aaf884bdbb7b54e269bbf8220d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jul 6 15:50:49 2011 -0300

    Move meta object creation afeter type register.

commit 2452be71838a0ba60ec899c6f4ff8b52325adffb
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jul 5 15:38:53 2011 -0300

    Created unit test for bug #886.
    
    This test check if a enum inside of a namespace which is not exported to
    python, work proper.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 219ee31ce4cf9c45b9a53cd267df3e8e7b53b0f2
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jul 5 11:59:33 2011 -0300

    Now the generated code stores the enum cpp name on the PyThon type.
    
    This is necessary for finding out the enum name during the signal match
    function.
    
    Fixed the signal register function for signals with default values.
    
    Fixes bug #903.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 878c6c81a7469335e70856f77142473bb358051d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jul 1 16:00:09 2011 -0300

    Cleared cptr data during the cpp object destruction.
    
    This avoid problems when the same addres was used late in the program.
    
    Fixes bug #904.

commit 88a84ee6ae8cd12b2527576505f16774c9c542c1
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jun 17 18:10:21 2011 -0300

    Fix refleak during the parent c++ object destruction.
    
    Fixes bug #893.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit c3eb8bb198b7cbc43236b1edbf7afbf096d8b8f6
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jun 28 17:14:19 2011 -0300

    Fix object wrapper deletion.
    
    Fixes bug #356.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 27c3af50e31bdafec37efe55fbcaccf3b1c49d02
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jun 22 11:38:19 2011 -0300

    Dealloc Python object before calling the C++ destructor.
    
    This will avoid the problem of having Python objects with ref count zero on binding manager
    while Python code using these objects can be triggered by the C++ object destruction.
    
    This commit makes DestroyListenner class unused in whole PySide project, probably it will
    be marked as deprecated in futher commits.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 923ed37ea91de754e9c87d4d74f38283ebb1d257
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jun 21 18:17:52 2011 -0300

    Removed random unreadable comment.

commit ac4534d9cf1ca7b3ab27ff32ebc71ef565fb05ad
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jun 21 15:57:56 2011 -0300

    Recognize more types on error messages pretty printing them.

commit 778a48ffa48a1a217981088e41937413fbf4f59b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jun 22 11:42:48 2011 -0300

    Version bump to 1.0.5.

commit 2743f996e598139f19c74ad91faf4df8911aaf2d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jun 22 10:29:58 2011 -0300

    Version bumped to 1.0.4.

commit e80044aaca2f0769d65a18384df711006a519eb7
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jun 20 15:18:22 2011 -0300

    Implemented support to qt_metacast function on qobjects.
    
    fixs bug #872.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit d08c86eebf68d049fe80795955fbcf1446e8b0f7
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jun 16 16:57:30 2011 -0300

    Fixed python debug likage.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 45a008604122af4e4ff4e7db440d9e65be3093fc
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jun 15 16:08:00 2011 -0300

    Added two new type system variables: %ISCONVERTIBLE and %CHECKTYPE.
    
    Currently the variables are replaced as follows:
    * %ISCONVERTIBLE[CPPTYPE] -> Shiboken::Converter<CPPTYPE>::isConvertible
    * %CHECKTYPE[CPPTYPE]     -> Shiboken::Converter<CPPTYPE>::checkType
    
    Future improvements may change that, so having these variables is
    a good thing.
    
    The documentation was updated.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit 76c2be48edf50c573d1da94879d02c1b97f8c501
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jun 9 10:14:55 2011 -0300

    Fixed substitution of method calls from user custom code for Qt's metaObject() method.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit e71fba71859985a5fe9b81c016451ac090cfc145
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue May 31 12:26:19 2011 -0300

    Fixed injected code processing to avoid infinite recursion in virtual method calls.
    
    Unit tests were also added.

commit 7b731d702c64d172e192aa1876e4a6fade6c38d7
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jun 6 11:42:46 2011 -0300

    Created unit test for add function rich-compare function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit c2890587871dd425da146d0c60510119a809b869
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jun 6 11:41:10 2011 -0300

    Fix overload decisor on rich-compare function.
    
    Fixes bug #292.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 7b419e9c5996dc3ffc72d2ae2a6d6f73f8954112
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jun 6 18:47:11 2011 -0300

    Show perm links only when the mouse hover on title.

commit 7a5fc825b5c78fd928ed29889c6dcfca16b7be97
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jun 6 18:45:32 2011 -0300

    Update javascript files used in sphinx generated documentation.

commit f526cb6f0c87d6730334808b59604bc0878c8c2c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jun 3 19:47:01 2011 -0300

    Fix bug 501 - "Shiboken generator doesn't use full qualified name (with :: prefix) on all places."
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 0bc3c52678a2b86850c9342d60c975a9cc958cac
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jun 6 11:40:25 2011 -0300

    Removed warning about possible use of uninitialized variable.

commit e3c2d6c3fae088185ab83e19a65190e28120a3ee
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jun 2 17:31:05 2011 -0300

    Test for bug 464 - "Can't create target lang package and namespace with the same name"

commit 9c172e94cb5d2fd263a653a5515f02194cf3279d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat May 28 15:16:10 2011 -0300

    Added the basic cases for container conversions.
    
    The cases are made of conversions of lists of:
    * C++ primitive type
    * C++ class treated as Python primitive type
    * Value type as C++ value
    * Object type as C++ pointer
    * Container of container of C++ primitive type
    
    The container is converted when called from Python or from C++ (via
    virtual methods), and passed as arguments to Python and to C++.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit c1253405144232e4c6db791ce43bd6d4f25ea9f6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat May 28 15:09:55 2011 -0300

    Added class to be treated as a specific (bool, in this case) primitive type in Python.
    
    Unit tests were also added.

commit 3112b255beedf6cd4ac56ad08e9a90d011620d04
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sat May 28 12:24:40 2011 -0300

    Expanded the minimal example and tests to better deal with virtual methods.

commit 6dd350021b30739dec375ec90e040d6e2ec63c11
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jun 2 17:31:05 2011 -0300

    Test for bug 291 - "Generator ignores inject code for rich comparison operators."
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 811c7cb53af4134fd419bc31ca3bcb04cfc262b0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jun 2 17:09:46 2011 -0300

    Fix bug 827 - "Anchor sign for headers to copy links for sections"

commit d8ffe3ff6633f968655f05c4f788bed9ac7316f7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jun 2 15:45:28 2011 -0300

    Fix bug 862 - "Problems when printing objects"

commit 1032878531733d2c54dde9cb012e8e4be2695a20
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jun 2 13:10:37 2011 -0300

    Updated  necessary unit tests to handle with exceptions.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit b1461f445a4100cee14f2db8c062e3fb087570f1
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jun 2 13:09:03 2011 -0300

    Make use of Shiboken::warning on virtual function.
    
    Shiboke uses Python warning to report any problems with virtural
    functions return conversion.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 48c3f893b3024071bafe04412d52f0086b396f2b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jun 2 13:08:20 2011 -0300

    Created Shiboken::warning function.
    
    This is a help function to make able call python warning with formatted strings.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 0e6d4cc1d151724f56c6ccf8c431077e2c778b26
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed May 25 16:23:22 2011 -0300

    Added Shiboken buffer interface.
    
    This interface is just a wrapper to the differents API's provided by Python
    to deal with memory buffers in various versions of Python, so is recommended
    to use this API to deal with Python memory buffers instead of the CPython API.
    
    If you want to have a Python buffer as argument of any function just change
    the argument type to "PyBuffer" and the generator will handle it right regarding
    to type checking.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 22bed1fb96a37bdf9d032a801f5577f81832fe76
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jun 1 10:25:04 2011 -0300

    optimized keepreference function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit edf01fb44b94254eb22959f1b25f8138aa535713
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 31 15:42:09 2011 -0300

    Updated generator to use removeReference function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a2dac99260317da72265cc2a69b97a4353eda791
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 31 15:43:57 2011 -0300

    Created the function 'removeReference', used to remove a specific
    reference from other object.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit ab5690f7a11f280409dc7f8ce17cb528e2829834
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon May 30 15:11:17 2011 -0300

    Fix error arg types in error messages.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit c65886debe3d55278fac78e8c14d552eb40ce1d5
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed May 25 17:50:29 2011 -0300

    Updated generatorrunner dependency version.

commit 7e1459b2a29045527a4bf3c5a840a2c38933760a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 23 11:42:14 2011 -0300

    Generate code using the new pyside class DestroyListener.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 95f7d0a2c1a417e81bf2cab00075e28a8d22660f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 17 16:31:24 2011 -0300

    Removed unused variables/functions.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9c19e3c9d25e8d1b70e4bb578c381f45af621c91
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 17 16:22:16 2011 -0300

    Whitespace removal

commit 7bbf04b2e010781a18635b8f102505d405ad849c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 17 16:21:54 2011 -0300

    Use right argument variable name on keep reference when inside constructors.

commit 4b4d0a0429987be5aa8373c73447bf37b5b9bbeb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue May 17 16:05:14 2011 -0300

    Defined Shiboken.ObjectType tp_setattro to PyObject_GenericSetAttr.
    
    This fixes bug 634.
    http://bugs.pyside.org/show_bug.cgi?id=634
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 13bbf1c4e8341a44f372f7dde08cbd7a66815cb9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue May 17 11:15:37 2011 -0300

    Added an unit test that puts an attribute on a Shiboken generated class.

commit 973a5389ac0f2a5d899025843b9af9e587eff7d3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon May 16 12:57:58 2011 -0300

    Added a new test binding called 'minimal'.
    
    The purpose is to have the smallest possible binding to help when doing
    complex changes that require a good deal of debugging and tracking,
    and the many operations performed in too many wrapped classes will
    clutter any output used for those purposes.
    
    In other words: don't add anything here except with a good reason for
    it, prefer to use 'sample' or 'other' binding for that.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 510e7af9a0e9a8b8c0b90ad76453d9ccdf55aedb
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri May 13 17:47:49 2011 -0300

    Fixed keep reference funcion.
    
    The keepReference function does not increase the referece of all
    objects if the argument is a list.
    
    Fixes bug #854.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit ed5af2558722705d38a33fc9b98cf93ccdfae9dd
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri May 13 11:47:54 2011 -0300

    Implemented keep-reference action 'add'.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 899d04d28ebb104b216b444af9eec411fbb3135b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon May 16 18:03:48 2011 -0300

    Just use else if's instead of a sequence of if's.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 0ef022ee9824fbacf25bee0534da83bb41276474
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon May 16 17:28:16 2011 -0300

    Unit test for bug 851 - "Shiboken recognizes dereference operator overload as times operator overload."

commit 77066fe1d61446fc711d8ca234c915a46e767801
Merge: c2d2ed9 485288f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri May 13 08:56:39 2011 -0300

    Merge branch 'casttoreference' into havegcflag-hell
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit c2d2ed94548d0e42c3dcc949b1b4f4990684f735
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue May 3 16:41:38 2011 -0300

    Improved garbage collector handling of Shiboken types.

commit 485288fb1888814f641b2df56860171783d326fb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Apr 8 16:22:38 2011 -0300

    Added tests for conversion operator that returns a constant reference type.
    
    This is related to bug #716: http://bugs.pyside.org/show_bug.cgi?id=716
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit f26d9a83d5255d9ff8ce251790227ebe996d21c8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu May 12 18:55:53 2011 -0300

    Don't segfault when running with Qt4.5.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 587bac87604aadd4d7aedba2a911bfcac9671fe3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed May 11 18:15:40 2011 -0300

    Replaced "isUserType" test for the correct "hasCppWrapper" before method calls.
    
    Also added an unit test for infinite recursion when duck punching a
    virtual method.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit bdd992a76956f86166256649f8bb3d42ce7439a2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 10 14:46:27 2011 -0300

    Don't set the tp_init when there are no public constructors available.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit ce1d707bef6426a1f18f92ab729dc4d89fbe63e4
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue May 10 14:41:03 2011 -0300

    Improved the SbkDbg to avoid throwing exceptions when showing an object.
    
    Also added a new Shiboken::Object::isValid signature to help.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 7327989fb85595d1795c1dbd013428b8909b2f0a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue May 3 11:45:58 2011 -0300

    Small fix to number protocol code generation.

commit fd02167c862a6fedd47a1f531b051186799c256c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri May 6 19:03:59 2011 -0300

    Only use qRegisterMetaType for Value types.
    
    fixes bug #847.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 96a4cc767fa930d236262904abebc4cdff54eff0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed May 4 16:51:59 2011 -0300

    Fix bug 813 - "Can not override connect method when subclassing QObject"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 4b5380126807dee8bc6a0a06c23f787446e2058c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed May 4 11:05:14 2011 -0300

    Obey type replacements in rich comparison functions.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 71343a4957db5cf0cee9ff925f6bf7154aba9d92
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 2 17:44:21 2011 -0300

    Created test for bug #654.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit b191b8829474d410e7b27768073514b6057a3789
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 2 17:43:45 2011 -0300

    Fixed enum repr, print functions.
    
    fixes bug #654.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit a17cc449472dd51d0be83a26d70244bb59d4bc88
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Apr 28 15:34:53 2011 -0300

    Make use of the available and already allocated space for protocol functiontions.
    
    The PyHeapTypeObject structure that is part of SbkObjectType already
    have allocated members for number, sequence, and mapping protocols,
    so let's use them.
    
    A tiny reduction in size ensues (I predict the modules will have 99.91%
    of their current size).
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 69b5287e21d79fdc688a29f2876da7c70d37cf0f
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Apr 28 17:58:56 2011 -0300

    Bump version and update dependecy version required.

commit ac8ada95ff40540d5e0f4baf639c0bad00e81784
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 27 15:04:28 2011 -0300

    Don't create cyclic graphs when there are QString, PySequence and PyObjects involved into a single overload.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit dce8b706047d2e247833c11a265a588012ddb0cb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 27 15:03:28 2011 -0300

    Write graph info on temp dir when some a cyclic graph is found.

commit 04d571f872a8cada531646f15b2d4440b20d0d53
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Apr 15 16:39:33 2011 -0300

    Overload decisor was improved to consider PySequences on modified function signatures.
    
    Unit tests were added as usual.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Renato Araujo <renato.filho@openbossa.org>

commit 4936232cec98614069cf72b55497c50b450a71e8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Apr 15 16:49:31 2011 -0300

    Return false when a overload wasn't found on __eq__ and true when an overload wasn't found on __ne__.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e27fed1a8e7c173e0dc08e929671b9f289c3b4f1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Apr 14 19:49:22 2011 -0300

    Add tests for adding reverse operators.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 660893caca7ebbe96c85ab33f53fc8d99fbabdc0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Apr 14 11:33:11 2011 -0300

    Fix bug regarding to two overloads like: foo(char) and foo(const char*)
    
    The overload decisor was unable to find the difference between them.
    This code was wrote by Setanta in an experimental branch, so kudos to him.

commit 1155fe8c710818eac3c0490724b34adef95d9999
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 13 20:55:47 2011 -0300

    Implemented generation code for mapping protocol
    
    Fixex bug #743.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 50d1b114b35f34f97aefca1f42c3dbf9327e0d3a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Apr 12 15:55:49 2011 -0300

    Fix bug 723 - "Missing QAbstractFileEngine.read and QAbstractFileEngine.readLine"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 68dde475dd98b191a6bd3d6151cb7ab5f6410242
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Apr 11 16:30:35 2011 -0300

    Fix bug 823 - "Shiboken doesn't support function call overloads"

commit e6a322e777ab36bbed430a8836e0f656de49963d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Apr 11 15:36:48 2011 -0300

    Remove GCC 4.6 warning on basewrapper.cpp and shibokengenerator.cpp
    
    libshiboken/basewrapper.cpp:212:57: warning: deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
    generator/shibokengenerator.cpp:1118:9: warning: variable ‘numArgs’ set but not used [-Wunused-but-set-variable]

commit 001a416ffbc4808e2ba8a1c76d335eb504339673
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 11 11:16:30 2011 -0300

    Avoid register Abstract types on  QMetaTypes to avoid problems in QML.
    
    Fix bug #814.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit b9305d9ab242d81a807ba5d0007b0e8dd4feb3f4
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Apr 7 18:01:58 2011 -0300

    Fixed 'operator--'.

commit 4869f03f9463b678b104f4eca4ad7d03be2ef84a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Apr 7 15:44:36 2011 -0300

    Updated dependency version.

commit 303f15a5bcbfc9625d3ac22ba61c5b2a57bd195c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 6 16:01:35 2011 -0300

    Implement support to operator++;
    
    Fixes bug #688.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 6ea5f0caa16f783d50221f817431d2cadc22f947
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 6 22:50:56 2011 -0300

    Added the type system variables %BEGIN_ALLOW_THREADS and %END_ALLOW_THREADS.
    
    Also moved the save and restore thread state lines to a macro in
    ShibokenGenerator header file.
    
    The type system variables documentation was updated accordingly.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit f107f41c2b99517133ac4d2d624e8ee61cac2bb2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 6 18:58:18 2011 -0300

    Fixed the argument conversion of modified virtual methods.
    
    Wrong conversion code was being outputted to virtual method wrapper code
    when all arguments were removed.
    
    Unit tests were added as well.

commit 8c506130849194b0f7838a7920b5f7cc94bfe619
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 6 20:29:55 2011 -0300

    Added support for extra includes at module level.

commit 821a177f50db4bb52467e3e5e713ba21434496df
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Apr 1 17:04:17 2011 -0300

    Fix bug 801 - "Shiboken doesn't compile with G++ 4.6.0"

commit 15712bf7c75670e2328245de34c4cb1f8d9b3fe6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Apr 1 17:26:19 2011 -0300

    Version bump to 1.0.2

commit 2c2aa96d191135f68177df8029e891bcec56a39a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Apr 1 16:06:27 2011 -0300

    Expanded the tests that simulate QPainter::drawText even further.
    
    The purpose of this is to provide more and more test cases for the
    overload decisor.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 009daead512428205ac730012d4d81ec49fc47e6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Mar 30 16:42:08 2011 -0300

    Added unit tests to simulate the QPainter::drawText overloads.
    
    The classes Rect and RectF were added to help with the imitation.

commit 93787c322144f3c11acf261655b89a25176ce528
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Mar 30 16:37:15 2011 -0300

    Added two more unit tests for the overload decisor.

commit fecbf726c06d32d0e9c1b180bb79f356ba571540
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Mar 30 16:31:58 2011 -0300

    Small refactor on Overload test.

commit 2f541a1684db694e9662f482c0fedd91509a948e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Mar 23 17:43:46 2011 -0300

    Added test for bug 489.
    
    http://bugs.pyside.org/show_bug.cgi?id=489
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 4a262bcb91b7b620f434397fe2f7cb1454950397
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Wed Mar 30 16:37:43 2011 -0300

    Check for old-style bases before calling tp_new
    
    Instead of creating the type instance and them
    checking for old-style base classes, check
    for them in the beginning.
    
    The later check was causing the new type object
    to "leak" and failing an assert in the
    garbage collector.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit c5fd9d9dbb33bc4ddbf68315d6b15dc274f076cd
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Mar 29 17:26:57 2011 -0300

    Tests for reverse operators
    
    CPython calls nb_and with swapped arguments
    for reverse operators.
    
    This tests checks if the reverse operator
    raises NotImplementedError instead of TypeError
    when there isn't a valid reverse operator.
    
    Raising TypeError would cause the operator to fail.

commit 7c35c7788ab02d2d77cbc022d6cf181e7542d995
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Mon Mar 28 16:13:44 2011 -0300

    Reverse operators raise NotImplemented error.
    
    If it's a reverse operator and the OverloadDecisor fails,
    raise NotImplementedError instead of TypeError.

commit 55c0296417d146c999d0b2ba067c6e488bc6f416
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Mar 24 17:20:42 2011 -0300

    Don't return a overload method if the object is dieing.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 3034659e09923a9417e244d5c3c656da30813373
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 23 18:21:45 2011 -0300

    Set object returned by getter function child of the property owner.
    
    Doing this will invalidate the object then the property owner was deleted.

commit a12f4499d7c3d762abde50ec46ca7665426e597a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 23 18:20:40 2011 -0300

    Check for object validity on property getters and setters before using them.

commit d7fa80decce5b37a4bc77d2bb61768414ead8be7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 23 18:19:54 2011 -0300

    Do nothing when trying to make an valid object valid twice.

commit 0882f35b2d010515593ee3ddfe64e94f7f9942e5
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Mar 22 10:55:13 2011 -0300

    Updated module reload test.
    
    Avoid to load a module twice.
    
    Fixes bug #734.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 17546cd6200fd45d57e8b07b77f2f99ade36776b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Mar 22 10:40:15 2011 -0300

    Fixed parentInfo cleanup.
    
    Fixes bug #735.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 0a34ce608e76a96c5bf9fbf8b363aaa0256e9396
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Mar 18 17:35:16 2011 -0300

    Fix bug 693 - "Heap corruption or double free reported on program exit"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit eb01027ab9266bc0d87fa396e419929567dadea1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Mar 18 15:11:02 2011 -0300

    Fix bug in TypeResolver::getType function.
    
    The function was always using a empty string.

commit 4142bd57ece86b1087915b2bb091fcc58219eed1
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Mar 18 11:16:50 2011 -0300

    Created documentaion due to the limitation with old style class.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit b5bfa9837fd084edb5cc79b44760161d7d872c08
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 16 18:26:35 2011 -0300

    Register class names without namespaces to fix the mess in Qt signal type names.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 0909185b8f45bd72618dfeb00b20bf4305087d1c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 16 18:19:04 2011 -0300

    Use buffer instead of uchar on TypeError messages.

commit 68f5acc285c9c76cfe26c3bcc8cc74f0b91fc97d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Mar 15 15:32:13 2011 -0300

    Check for class initialization on function Object.isValid.
    
    Fix bug #696.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 0fbf99be54ab15b5a85b544700604eb38638f37a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Mar 14 18:17:37 2011 -0300

    Created unittest for bug #704.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit ce12dc6531973ee52e82c381217040e6f30a5863
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Mar 14 18:17:03 2011 -0300

    Avoid declar shiboken classes derived from old style objects.
    
    Fixes bug #704.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e0db9cbc9d4f53f7acea0e58393de133e23f3344
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 16 11:14:23 2011 -0300

    Version bump to 1.0.1.

commit 663722bb984b9ea03714036f9c1b6f91f4a5931a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 15 16:18:52 2011 -0300

    Fix bug 706 - "dataChanged signal raise an incorrect TypeError"
    
    Now we directly call qRegisterType for all types.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 6423d561db86debe83247f2581b05d9e7f10a57e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Mar 2 10:01:08 2011 -0300

    Handles the situation properly when a custom code has a result value attribution.
    
    If a method has a custom code that attributes a value to the Python
    result variable, Shiboken should not generate code with attribution
    to the said variable.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit d622c0f363c8d4c9bf91313aa3c8c0dc3e71424d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Mar 2 09:13:27 2011 -0300

    Added a check on CppGenerator::writeClassDefinition for when there's no constructor for a class.

commit 0a5cacdb9c25d79df02d7b201ab1f2277caceca3
Author: Marcelo Lira <marcelo@setantas.net>
Date:   Sun Feb 6 00:41:50 2011 -0300

    The option "avoid protected hack" is now set via command line.
    
    Instead of the old ugly way of compiling the behaviour forever using
    "#define".
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit e8a7efe5905ab8a1b333e5634081b4afcff7c334
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Feb 7 18:29:54 2011 -0300

    Module reload test now considers .pyo files (in addition to .pyc ones).

commit 75ee7ddf6ff37ed4972da02b44a77a8410e66ecd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Feb 16 16:36:43 2011 -0300

    SbkNumber_Check now makes use of PyNumber_Check.
    
    Plus some provisions to handle old-style classes.
    
    Reviewed by Bruno Araújo <bruno.araujo@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 2a06b872f7e3a400e03327e93570df6087d3ef0d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Feb 16 14:57:43 2011 -0300

    Added test to certify that old-style classes will not be accepted as numbers (unless they are).

commit 03fe699544eaf2480863bef0a666df5633651716
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Feb 15 13:55:00 2011 -0300

    Added a test to numpy scalar type being accepted as Python scalar.

commit d829150a965b004767458915569f93ecba915b06
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Feb 16 17:48:45 2011 -0200

    Shows "unicode" instead of "PyUnicode" on error messages.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit f64bae8cf884845d045ff09f8bc93fd80beb4da8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 15 19:17:08 2011 -0200

    Add support to the remove attribute of reference-count tag.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 97b09244d0361296bae44c3ee63a1d2b2957d07f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 15 16:35:01 2011 -0200

    Fix bug 684 - "New-style signals does not accept signals with enums as arguments."

commit 0c16d86214abf7d5dc8495f42a8823382b59d481
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 10 17:51:40 2011 -0300

    Fixed style of code on CppGenerator::writeReturnValueHeuristics method.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit cefb9e9b58a2ff6d755d0c7949819e6bd62f83f4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 10 18:34:15 2011 -0200

    Fix string used in tp_name on inner types.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 3f76e757d035c0bfc1985ce29aa69c02616d3178
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 10 17:51:40 2011 -0300

    The heuristics for return value parenting should be overridden by user changes.
    
    Whatever the user puts in the type system XML will take precedence over
    the generator heuristics.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 8319d6e8cb0d448997730b5cb08b48dc7d946250
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 10 12:47:19 2011 -0300

    Overloaded call decision now consider inheritance: inheritor is checked before ancestor.
    
    A couple of ShibokenGenerator methods were made "const" to allow them to
    be called from OverloadDecisor.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit a9636d7481facd786a236d5624110de9fd5fdd6c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 10 10:55:13 2011 -0300

    Added test for overload decision situation involving inheritance.

commit f1066cac214bba3f42482c17555be4a584e73ed3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 10 10:54:35 2011 -0300

    Marked ObjectType and ObjectModel, from the sample test lib, as explicit.

commit e9fe87697f53deec9e4bba22599b6992f16d6f0d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 8 18:20:14 2011 -0200

    Use action="set" instead of action="add" on reference-count tag.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit c73c68d7f0cd522ea4b8ecf9e2de4ed040909346
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Feb 9 14:22:12 2011 -0300

    Implemented support to iterator function generation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit cc58fbc15509bd8ed746a7ef3cb3da4cd7055894
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Feb 4 19:08:43 2011 -0300

    Fixed signal initialization for types with namespace and types defined
    by typedef.
    
    Fixes bug #657.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e78bd2efe4063d522effaaf6a6dc737fe8da8b79
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Feb 2 19:04:16 2011 -0200

    Don't write return heuristic when there's a parent tag with the returned object involved.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 0c49645f7fee72c92d2f25f18510d75811d7289a
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Feb 2 15:14:04 2011 -0300

    Update apiextractor/generatorrunner dependency version.

commit 1c412be5beb35445d2aa985a052b89e74184cb64
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Feb 2 09:43:51 2011 -0300

    Replaced use from QList to QSet in children list.
    
    Patch from farsmo <farsmo@sogetthis.com>
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 315ed272511b2d8cd6bfa61979cffbfb1fc64b5a
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Feb 1 16:13:49 2011 -0300

    Fixed Cmake files used to find the library after the installation.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 103b62aa700fab042e41e612aeff27af9897057d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Feb 2 10:44:44 2011 -0300

    Fixed a type on a warning about polymorphic-id-expression.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 8d9d66484195501f7f9a57d527b39964b384bfde
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jan 17 14:52:44 2011 -0200

    Fix bug 616 - "error compiling when public and private methods differ by the const-ness"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 3b22ffebad4736fafde0ff5a23bb3508be8d4b6d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jan 31 18:37:49 2011 -0200

    Fix bug 655 - "bad re-implementations of QApplication.notify result in a SystemError"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e222dba7912df724e3ee6379b12f19e008c770b6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jan 24 23:32:37 2011 -0300

    Test bindings project files modified to use key/value pair text files.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit f112a17de646008ae8d930a97023c8864bca5c37
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Jan 25 08:41:42 2011 -0300

    Test bindings now use project files instead of generator command line options.

commit 129fec17214087e809736f53eff5ce21b02fa2ca
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jan 17 18:32:12 2011 -0300

    Shiboken binary now responds to the "--version" argument.
    
    The version command line argument was previously answered by GeneratorRunner.
    This commit also generally updates some CMake files.

commit fe044247d153725db1f3060f30f53f7e6c1e4381
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jan 24 08:40:09 2011 -0300

    Added SHIBOKEN_BINARY variable to CMake config file.
    
    It points to the Shiboken generator executable so the users can use it
    instead of calling GeneratorRunner plus a parameter pointing to Shiboken
    generator module.
    
    Also fixed generator_location variable on shiboken.pc file.

commit 2d3668274953cc4d38ea58259249a263fe85b41b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jan 12 14:29:57 2011 -0300

    Replaced tabs with spaces on cmake file.

commit 799342ea7a00fdd698387e5b3438bd50002c4383
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jan 12 13:26:53 2011 -0300

    Shiboken executable calls GeneratorRunner with the renamed "--generator-set" argument.

commit 80b71b1cdba57c8e59c503494adbd04002d5026a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jan 28 19:11:49 2011 -0200

    Fix bug613 - "QSvgRenderer chooses QByteArray overload when given a file path"
    
    QString arguments will always be evaluated before QByteArray arguments.
    
    Reviewer: Luciano Wolf <lucianol.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 4c26fce0a8d14bf9c4982473bc62e4c5d25573c1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jan 28 16:23:55 2011 -0200

    Fix regression that caused overload sorting to not respect argument type renames.

commit 067e2a62a378cfea36064cf21891b328fc021aa4
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 28 11:57:46 2011 -0300

    Created unit test for enum.__repr__ function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit cf25d3b294c1e6497ce5f7a9644d98c9d460500c
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 28 11:57:21 2011 -0300

    Fixed enum __repr__ function.
    
    fixes bug #617.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit fd8e28fa13c7424f0ebba60d90d025cf4ac3b7b9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jan 28 17:51:05 2011 -0300

    Added the "%CPPTYPE" type system variable.
    
    %CPPTYPE will be converted to the original C++ name of a class,
    without any "Wrapper" suffix or namespace prefix.
    
    Documentation for the new variable was added as well.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 70774513a8190d4eaf18496e7833ab4c521fbb34
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jan 28 17:15:33 2011 -0300

    Type system %TYPE variable is now available for class wide custom code.
    
    %TYPE documentation was updated.

commit 38e10e17700b5381022315729f531f2b863ee3ae
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jan 20 16:14:07 2011 -0200

    Use SBK_PYTHON_INCLUDE_DIR instead of PYTHON_INCLUDE_DIRS or PYTHON_INCLUDE_PATH.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit d931b4cf3c4e9fd3bf3e4909f096625da69a78ee
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jan 26 11:45:23 2011 -0200

    Fix bug#605 - "Using metaclasses with the PySide classes doesn't work"

commit 47adfdb74f710f3756279c7c55fcacdbfa95a199
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jan 25 14:15:51 2011 -0200

    Fix bug#640 - "(elasticnode) Crash in example elasticnodes.py"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 70a863eb2da935505ffa325c1772b13f4a80bded
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jan 24 15:19:40 2011 -0200

    Fix bug#633 - "bool of null QDate (possibly other empty QString/null QObj types?) returns True for empty instance; probably should be False"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 9d36585f19bf858db10bee4c8b1933ed81301a98
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jan 24 10:23:30 2011 -0200

    Fix bug#636 - "Unable to navigate back to the main site from the generated documentation"

commit ca45160ba220cd6e4da3a1ecd78844647bc3886c
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 21 15:56:44 2011 -0300

    Update module version dependency.

commit 947dd9d273bc6abd9739e998416e84a483600b42
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 21 14:33:42 2011 -0300

    Updated apiextractor and generatorrunner version dependency.

commit b18a0f63b93a6ad9f047d10408d98d0fb548919d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jan 21 10:21:16 2011 -0300

    Shiboken enums now have a tp_print representation.
    
    This fixes the bug #611[1], and an unit test was also added.
    
    [1] http://bugs.openbossa.org/show_bug.cgi?id=611
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit ea66e79f338202f473bc1e95e21c126bbb63756a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jan 19 11:20:29 2011 -0300

    Added test for module reloading.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 517800c3cd93c48d897ac868505e22e2e972aa22
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jan 18 16:51:24 2011 -0200

    Add Shiboken::Object::isValid(SbkObject* pyObj, bool throwPyError = true) function to libshiboken.
    
    This function is needed to fix bug#552 when a libpyside code needs to check if a SbkObject is valid
    without set a Python error when it isn't.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 91818aecdaa52facd7f62931343f0e8aa4b69f55
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Jan 18 18:20:00 2011 -0300

    Added more test cases for protected attributes.
    
    The tests are meant to be useful when compiled without the protected
    hack or on the win32 platform.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit f23f606c02e8c62635bd0d0f030e5c9550171b9c
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Jan 19 09:38:17 2011 -0300

    Fix windows compilation.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 3b747443bde5752277aa9791adbfc1d32868689b
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Jan 13 15:04:03 2011 -0300

    Used c++ pointer during the c++ class attribute get function.
    
    Now all function get for class attribute return the internal memory of
    the c++ attribute.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 78e3c256ff6a154ce8068b3dd7bc551394d73422
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jan 12 16:24:10 2011 -0300

    Updated Shiboken documentation with advice about duck punching and virtual methods.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 0eef7934bc0dc0a3b915c1502bfc0be60d7eb365
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Jan 12 19:30:23 2011 -0300

    Optimized setParent function.
    
    Replaced use of find in the children list for check on the current
    child if his has a parent and if the parent is the same.
    
    Fixes bug #556
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit a260a414d8c875fbeda2862ce8adf7ddc1a9be3c
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Jan 11 17:07:26 2011 -0300

    Append python name to libshiboken output file
    
    libshiboken is strongly tied to the python
    it was compiled against. This commit adds
    the python name to the output file to make
    this connection explicit.
    
    The generator plugin, binary and includes are
    untouched as they don't depend on python.
    
    Also, Instead of installing the cmake info in a
    single file, ShibokenConfig.cmake will load the
    correct file (ShibokenConfig-<python name>.cmake)
    based on the value of PYTHON_BASENAME when cmake
    is called.
    
    The last shiboken installed will be the default
    as each install will overwrite ShibokenConfig.cmake.
    
    To select an specific python, call cmake with
    -DPYTHON_BASENAME=python2.6, for python2.6 release.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 0e7ecded1f8d944ee138d79b46f10e5f6c6618c7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Jan 11 17:34:28 2011 -0300

    Added test to assert the precedence of enum arguments over int implicit conversions.
    
    This test is inspired by bug #511 [1], and it checks the precedence of
    an enum argument over a class that can be implicitly built from an
    integer.
    
    [1] http://bugs.openbossa.org/show_bug.cgi?id=511
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 640537a691a2cd0830e12810714ec0cc5164242a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Jan 11 17:31:34 2011 -0300

    The overload decisor must put enums before types implicitly convertible from integers.
    
    Otherwise the enum value will be an acceptable argument for a class that
    expects an integer (signed or unsigned) to be implicitly built, and the
    enum argument will never be called.

commit 4799e166ed4ec9d4a6c89769c1bc23e6931a03ba
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Mon Jan 10 09:36:34 2011 -0300

    Fix SbkType name when setting exception in virtual
    
    Was generating SbkType<NAME> with '*' in NAME,
    leading to segfaults.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit 7247b4394cbd8c2b511f77b9b5b0cb368008cacd
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Mon Jan 10 09:22:50 2011 -0300

    Add test for invalid type returning from virtuals
    
    Returning an integer where the binding expects a
    pointer shouldn't segfault.

commit 6cf68bf8a199543f2a974e4c318225bdc0c138c9
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 7 15:54:12 2011 -0300

    Initialize ShibokenObject private data.
    
    This avoid errors during the functions call which uses the private data.
    
    Fixes bug #589
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 57c3abba8b09fdb3f9fc2ddccaf5efce3edace31
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jan 7 17:39:18 2011 -0200

    Fix bug#530 - "Importing division from future breaks QPoint division"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 9d16874b68af3b77d97613e579c83ac19590293f
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Jan 5 19:22:21 2011 -0300

    Use sleep function to give time to process breath.
    
    Fixes bug #580
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit b2c20708545f7992f337c3be4c8595f7fb848a07
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jan 4 18:48:25 2011 -0200

    Release the gil for every C++ function call, ignoring allow-thread attribute on typesystem.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 05f8c6272fec133e64ca0d23a1622d9c086b02b2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jan 3 15:33:07 2011 -0300

    Added test case for Bug #572.
    
    Bug #572: Giving unicode value as 'body' argument to WebView's load
    method crashes python.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 214dad590fc7e9ff461f2e1fe5ea407caed98ec3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jan 3 15:34:35 2011 -0300

    A convertible check must be done on named arguments as it is done on regular arguments.

commit 8c66872ff9e4a9d1cd4c605abdcdc63ac8396bf9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jan 3 11:10:32 2011 -0300

    Added a Linux man page for Shiboken.
    
    The man page was copied from the 'ubuntu' directory on the old
    'packaging' repository.

commit 882c98f7a9b3a3fc030cee87235cf8b375cd6b54
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 29 18:26:44 2010 -0200

    Add support for operator overload injection.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 2faf996129baf265c4b9ed1ff72a4cfb378d8306
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 29 16:42:38 2010 -0200

    Use QByteArray instead of QString to save 1 pico second :-)

commit 87ae5790fa75114dbf335380ca7ab644b013a50b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 29 16:34:39 2010 -0200

    Add support to fix the bug#493 - "__eq__ and friends not implemented for QKeyEvent == QKeySequence"

commit 4a25e3a3801cebfb90cf89fd1eb1faf05c4725a1
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Wed Dec 29 15:39:46 2010 -0300

    Fix test after changes to SequenceToArgcArgv
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit cbd6c033ab05df82613a98df8d90a6e2fcc0b597
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 29 10:55:43 2010 -0200

    Put __file__ on argv only when a empty list is given.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 3cafad161b8688693a91b5fc31137a16dc9626a6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 29 08:55:46 2010 -0200

    Don't generate type resolvers using the const keyword.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2f5d90404ace8e5bf00b7976d18624e71ebebe2b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 28 15:24:11 2010 -0200

    Fix bug#495 - "Broken rich compare operators if they use an object-type as parameter"

commit 334024a4797350f75d34ba1842ea702e702080cb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 28 17:24:18 2010 -0200

    Avoid compiler warning about unhandled constant in switch block.

commit ad5778f8835da4953c3304fc3862a24258c6cac1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 28 15:03:10 2010 -0200

    Fix typo

commit 8cc4a0483ff2a6a003043f86938e3bda65b2e306
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Dec 23 15:50:54 2010 -0200

    Fix bug#554 - "Inner classes don't work and give us a segfault"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 2062dcafb1f680098294a4d774c2a86522702961
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Dec 23 14:40:50 2010 -0300

    Used Qt4.7 code to normalize types for all previous Qt version.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 538127eee19cad2c39e4c404335deac8b82070a3
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Dec 23 10:50:34 2010 -0300

    Removed '&' from type registration.
    
    Reviewer: Lauro Mora <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit bda44c2851c04183e1e92dccf9a43b949d0b2b0b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Dec 22 14:58:37 2010 -0300

    Added support for promoting enums from removed namespaces to upper scope.
    
    Classes in namespaces marked not to be generated are always moved to
    upper scopes, the current modification add this same behaviour to enums.
    
    Tests were also added.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 2e4e0d4e91c561986a96a08b0dbee53984811155
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Dec 22 19:46:49 2010 -0300

    Fixed signal register function.
    
    Use translated type name as type, and exclude const from containers.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 6b1c034faef6a78f7e0681f55203a0fd9774d12d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 22 19:17:02 2010 -0200

    Fix Py_DEBUG detection on Windows.
    
    On Windows sysconfig.get('Py_DEBUG') can return None instead of 0.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 5b57a4085dc68640870373b00f3d7c8dd894a466
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 22 18:50:54 2010 -0200

    Minor changed in CMakeLists.txt

commit 39b90917d70c542e27615f915bb73e9ae8c98df8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 22 18:46:26 2010 -0200

    Removed WITH_THREAD ifdefs, it causes a lot of warnings on Windows and was always set by our buildsystem.

commit db6142cce6603abc054717bf0626ffb38c0e0804
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 20 19:24:34 2010 -0200

    Print debug messages to stderr isntead of stdout.

commit f4b51923793402b43abc713be92119e560fc60ba
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Dec 22 12:39:41 2010 -0300

    Use converter during generation only for primitives types which is
    impossible to convert using by Py_BuildValue.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit c036aa708b0232406f6f278ad0578b7b333c0f6a
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Dec 22 11:14:54 2010 -0300

    Fixed use of python conversion for type with typedefs.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 996b4b18d72528ed963611365ea48452d85014a7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 20 13:50:01 2010 -0200

    Fix bug#484 - "Error compiling QtContacts 1.1 (problems with const QList<QVariant>)"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 9b020d07568c986c3d3363180c20a4a5e15560a8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 20 13:49:15 2010 -0200

    Disable copy of ThreadStateSaver objects.

commit 94270ee0e58336535378eef7fbb889c127f25c6b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 17 11:05:53 2010 -0300

    Removed unnecessary code to check the refcount of Python objects returned on virtual methods.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 62d4437e2d0df7a0706b564519e8fb26303f1e9a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 17 11:00:24 2010 -0300

    Fixed code generation for virtual method ownership release of returned value.
    
    The value returned from Python to C++ shouldn't have its reference
    counting decremented after Python transferring ownership to C++.

commit a3e731a9ea920ec6e1373e6ad6c74724ce36575f
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Dec 16 15:58:23 2010 -0300

    Fix register type function to register the type with two names.
    
    Fix signal register, to use arguments type name based on generated namespace.
    
    Fix bug #498.

commit 36c80e6daab7b8d69458c1a8154f4a17ee1ea303
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 16 14:08:29 2010 -0300

    Added tests to check the release of ownership of objects returned from Python.
    
    The ObjectModel test class was introduced to check if the transference
    of ownership of objects returned from Python to C++ through a virtual
    method is working properly.
    
    Also updated the other test that uses the ObjectView class.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 18fedbce6893ee76c3dce04f0aaf814c93d57a34
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Dec 15 18:29:06 2010 -0300

    Generate code to release ownership on Python values returned to C++ on virtual methods.
    
    In other words, the following type system snippet will now be recognized
    by the generator:
    
    <modify-argument index="return">
      <define-ownership class="native" owner="c++"/>
    </modify-argument>

commit 39069c1571e3fe2705b4dcb6f58d3b1e50a42911
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Dec 15 18:28:27 2010 -0300

    Fixed typo on generated error message.

commit a1a0138fa385d2f73a991624b77a7a1ab03d5b97
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Dec 15 17:55:51 2010 -0300

    Replaced code generated on funtion getattro to function present on
    libpyside.
    
    Fix bug #525.

commit 304a9b93fc2cc65be4850f05629617a180463fa7
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Dec 15 17:55:36 2010 -0300

    Fixed comments typo.

commit cf6c0ca50f29c6e606b7c27fbceb8d1d6faf3f14
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Dec 14 15:19:37 2010 -0300

    Fix object destruction process to avoid pass a invalid object during the
    __del__ function.
    
    Fix bug #505
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a0fa4f1d94f86362e8adef0171c9f4dc966fa402
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Dec 9 19:37:41 2010 -0200

    Finally fix bug#500 - "If an instance of QPrintDialog is created a deadlock happens on shutdown."
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 97ea178de9327c8620943dd9101e45d18e6d185e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 13 18:36:53 2010 -0200

    Fix bug#513 - "Hardcoded bool return type for operator overloads"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit db40f3e234f466e595ed618891aa2f50e403cd03
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 13 15:22:10 2010 -0200

    Revert "Fix bug#500 - "If an instance of QPrintDialog is created a deadlock happens on shutdown.""
    
    This reverts commit fb90a3df97b53f3ef4878d8beb719d4aa7b0c6cb.

commit ffd49b03b2677b297508457fdc94e98aaca5261a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Dec 9 19:37:41 2010 -0200

    Fix bug#500 - "If an instance of QPrintDialog is created a deadlock happens on shutdown."
    
    Reviewer: Lauro Mora <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 627624f6b5bf1135cd97052baae52286e8e16024
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 9 15:56:26 2010 -0300

    Code generated for Qt's signals wrapping now deal with arguments with default values.
    
    For instance, the "QAbstractButton::clicked(bool checked = false)"
    signal, can be connected using the two signatures "clicked()" and
    "clicked(bool)". Using
    
      button.clicked.connect(callback_function)
    
    could cause the binding to connect to "clicked(bool)", instead of
    "clicked()", leaving the user unaware of it.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 8dfeff8c11077f2f504476e282b11c3ca0a8cd83
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 8 16:46:50 2010 -0200

    Added another overload for makeTuple, this time with just one argument.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit fbde5bbaf584e87ca55045985039e53268f0c92c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Dec 6 14:30:33 2010 -0300

    Test case for proper generation of constructor altered by conversion-rule tag.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit a778f9f14703302132ebe13ed19f510bfa88213f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Dec 6 13:52:44 2010 -0300

    Generator now writes the proper variable name on C++ constructor calls.
    
    When a conversion rule is provided for a constructor argument the C++
    constructor, for which the conversion rule doesn't apply, is generated
    with wrong argument names. This commit solves this.

commit 5c6adf14244f2ba0d7d5f42cc76dbd9959ae624b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 3 16:55:09 2010 -0200

    Write a simpler code to deal with dynamic QMetaObjects.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5c119a7d68a3c6197a6890192b99b0967fa8eed1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 3 16:53:26 2010 -0200

    Add subtype init hook.
    
    The hook is invoked every time the user creates a sub-type inherited from a Shiboken based type.

commit f8ad4eba987f53c05c42c2af6ec76bd59e196b75
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 1 21:16:40 2010 -0200

    Remove cpp object copier as it was used by anyone and nobody missed him.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 766a0b55bff35c10463c4601f087d550fd0d9837
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 1 18:05:33 2010 -0200

    Removed useless stuff from TypeResolver.

commit 3cfac85d50b8f891a8230513a4b5a0f6aea67b3e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 1 14:27:39 2010 -0200

    Remove SbkTypeInfo and CppObjectCopier structs, they aren't needed after the fix on qt_metacall.

commit 96488c9cfd16c6ef9800c678c83d271343c2a813
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 1 14:24:37 2010 -0200

    Remove objectDeleter function and use the well known Shiboken::callCppDestructor.

commit 8655647b9c23558aa21b155bd4246c6433dbeaf2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 1 14:18:29 2010 -0200

    Remove const version of Converters to avoid hidding generator bugs.

commit 489a86931733bd31ffc052d30da7e9ad403f834f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Nov 29 14:43:53 2010 -0200

    Updated basewrapper.h docs.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 05d3ef1f70c17605ce27f49a4c185751932bc370
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Nov 29 14:37:39 2010 -0200

    Add function Shiboken::ObjectType::getUserData(SbjObjectTyoe*)

commit b4bd60648c654a719432a90979af863482a78abd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Nov 25 19:38:59 2010 -0200

    Fix shiboken version in doc generation.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit c57ec52139c7aa878341fd0f61133d4472d5fc69
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Nov 25 16:49:04 2010 -0300

    Cast PySideSignal object to PyObject before calling Py_DECREF.
    
    This is done because the Py_DECREF macro from Python 2.5 doesn't
    cast the argument to "PyObject*" as 2.6 does. This is a problem
    for PySideSignal objects, for this struct is private, having only
    the forward declaration visible.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 2c2e36a9a58480f7ea0b4f2a7fbc24d0b2e28cdc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Nov 25 15:22:13 2010 -0200

    Fix compilation errors on Windows.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit d5928178f5e5abd4a0f86f056db5999fa37aefc1
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Wed Nov 24 11:45:23 2010 -0300

    Bump ApiExtractor dependency to 0.9.0

commit fe97dab5ba84e7b2abe7736cf0dbb3b6227d649a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Nov 24 14:20:44 2010 -0200

    Added BindingManager::visitAllPyObjects function, used to visit all PyObjects with a function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

